package cn.wise.sc.pay.common.core.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

/**
 * @description:
 * @author: qh
 * @create: 2019-12-12 12:19
 **/
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EventResult<Entity> {

    private static final long serialVersionUID = 1L;

    /**
     * 具体对象
     */
    protected Entity entity;
    /**
     * 状态码
     */
    protected int code;
    /**
     * 额外信息
     */
    protected String json;
    /**
     * 消息事件
     */
    protected TransactionMessage event;

    public String getJson() {
        return json;
    }

    public void setJson(String json) {
        this.json = json;
    }

    public TransactionMessage getEvent() {
        return event;
    }

    public void setEvent(TransactionMessage event) {
        this.event = event;
    }

    public Entity getEntity() {
        return entity;
    }

    public void setEntity(Entity entity) {
        this.entity = entity;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public TransactionMessage createMessage(String route, String message, String paas) {

        TransactionMessage transactionMessage = new TransactionMessage();
        transactionMessage.setRouteKey(route);
        transactionMessage.setMessage(message);
        transactionMessage.setCustomerSystem(paas);

        return transactionMessage;
    }

    public static <Entity> EventResult creteERT(String msg, int code, Entity entity) {

        EventResult<Entity> entityEventResult = new EventResult<>();
        entityEventResult.setCode(code);
        entityEventResult.setEntity(entity);
        entityEventResult.setJson(msg);

        return entityEventResult;
    }
}
