package cn.wise.sc.pay.common.core.util;

import org.apache.commons.lang3.StringUtils;

/**
 * @description: 业务相关工具类
 * @author: qh
 * @create: 2019-11-06 14:36
 **/
public class BusinessUtils {

    /**
     * 获取最新的用户账号
     * @param prefixStr
     * @param lastNo
     * @param capacity
     * @return
     */
    public static String getNewUserName(String prefixStr, int lastNo, int capacity) {

        if (capacity <= 0) {
            capacity = 8;
        }
        if (StringUtils.isEmpty(prefixStr)) {
            prefixStr = "Wisenergy_";
        }
        if (lastNo < 0) {
            lastNo = 0;
        }
        return prefixStr + StringUtils.leftPad(lastNo + 1 + "", capacity, "0");
    }

    public static void main(String[] args) {
        System.out.println(getNewUserName("AS_", 8, 8));
    }

}
