package cn.wise.sc.pay.common.core.util;

import org.apache.commons.lang3.StringUtils;

import java.util.Random;

/**
 * @description: 业务相关工具类
 * @author: qh
 * @create: 2019-11-06 14:36
 **/
public class UniquelyNoUtils {

    /**
     * 获取最新的用户账号
     *
     * @param prefixStr
     * @param lastNo
     * @param capacity
     * @return
     */
    public static String getNewUserNo(String prefixStr, int lastNo, int capacity) {

        if (capacity <= 0) {
            capacity = 8;
        }
        if (StringUtils.isEmpty(prefixStr)) {
            prefixStr = "Wisenergy_";
        }
        if (lastNo < 0) {
            lastNo = 0;
        }
        return prefixStr + StringUtils.leftPad(lastNo + 1 + "", capacity, "0");
    }

    /**
     * 获取唯一订单id
     * 规则 : 时间戳 + 8位用户id + 随机4位数
     * @param userId
     * @return
     */
    public static String getUniqueOrderNo(long userId) {

        long newTime = System.currentTimeMillis();
        String uid = StringUtils.leftPad(userId + "", 8, "0");

        Random random = new Random();
        int num = random.nextInt(9999);

        String uniqueOrderNo = newTime + uid + num;

        return uniqueOrderNo;
    }

    public static void main(String[] args) {
        System.out.println(getNewUserNo("AS_", 8, 8));
    }

}
