package cn.wise.sc.pay.common.mq.server.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author qh
 * @since 2019-12-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TransactionMessage extends Model<TransactionMessage> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 消息内容
     */
    private String message;

    /**
     * 队列名称
     */
    private String queue;

    /**
     * 路由键 JMS约定
     */
    private String routeKey;

    /**
     * 发送消息的系统
     */
    private String sendSystem;

    /**
     * 重复发送消息次数
     */
    private Integer sendCount;

    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "c_date")
    private LocalDateTime createTime;

    /**
     * 最近发送消息时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss")
    private LocalDateTime sendDate;

    /**
     * 状态：0等待消费  1已消费  2已死亡
     */
    private Integer status;

    /**
     * 死亡次数条件，由使用方决定，默认为发送10次还没被消费则标记死亡,人工介入
     */
    private Integer dieCount;

    /**
     * 消费时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss")
    private LocalDateTime customerDate;

    /**
     * 消费系统
     */
    private String customerSystem;

    /**
     * 死亡时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dieDate;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }


}
