package cn.wise.sc.pay.common.security.annotation;

import cn.wise.sc.pay.common.security.component.authen.WiseResourceServerAutoConfiguration;
import cn.wise.sc.pay.common.security.component.authen.WiseSecurityBeanDefinitionRegistrar;
import org.springframework.context.annotation.Import;
import org.springframework.security.config.annotation.method.configuration.EnableGlobalMethodSecurity;
import org.springframework.security.oauth2.config.annotation.web.configuration.EnableResourceServer;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 *describe: 资源服务器注解
 **/
@Documented
@Inherited
@EnableResourceServer
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@EnableGlobalMethodSecurity(prePostEnabled = true)
@Import({WiseResourceServerAutoConfiguration.class, WiseSecurityBeanDefinitionRegistrar.class})
public @interface EnableWiseResourceServer {
}
