package cn.wise.sc.pay.common.security.exception;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;
import lombok.SneakyThrows;

/**
 * OAuth2 异常格式化
 */
public class WiseAuth2ExceptionSerializer extends StdSerializer<WiseAuth2Exception> {
	public WiseAuth2ExceptionSerializer() {
		super(WiseAuth2Exception.class);
	}

	@Override
	@SneakyThrows
	public void serialize(WiseAuth2Exception value, JsonGenerator gen, SerializerProvider provider) {
		gen.writeStartObject();
		gen.writeObjectField("code", 1);
		gen.writeStringField("msg", value.getMessage());
		gen.writeStringField("data", value.getErrorCode());
		gen.writeEndObject();
	}
}
