package cn.wise.sc.pay.common.security2.core;

import cn.wise.sc.pay.common.security2.util.JwtUtils;
import org.springframework.security.authentication.AuthenticationManager;
import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.authentication.UsernamePasswordAuthenticationFilter;
import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @description: Jwt验证过滤器  只会在loginProcessingUrl("/login")此url时会调用
 *              Spring security自带的认证流程 改造的token验证
 *              配合{@link JwtTokenVerifyFilter}食用
 *
 *              *缺点: 在于认证生成的token得走它自带的 loginProcessingUrl("/login"),返回参数没得,只能使用header返回
 * @author: qh
 * @create: 2020-03-09 22:45
 **/
@Deprecated
public class JwtAuthenticationFilter extends UsernamePasswordAuthenticationFilter {

    private final AuthenticationManager authenticationManager;
    public JwtAuthenticationFilter(AuthenticationManager authenticationManager){
        this.authenticationManager = authenticationManager;
    }
    @Override
    public Authentication attemptAuthentication(HttpServletRequest request,
                                                HttpServletResponse response) throws AuthenticationException {

        //解析用户登录信息
        String username = request.getParameter("username");
        String password = request.getParameter("password");
        //生成密码验证用的token
        UsernamePasswordAuthenticationToken authRequest = new UsernamePasswordAuthenticationToken(
                username, password);
        //放到SecurityContext上下文中
        setDetails(request, authRequest);
        return this.authenticationManager.authenticate(authRequest);
    }

    /**
     * 认证成功
     * @throws IOException
     * @throws ServletException
     */
    @Override
    protected void successfulAuthentication(HttpServletRequest request, HttpServletResponse response,
                                            FilterChain chain, Authentication authResult) throws IOException, ServletException {

        //生成token写回到header中
        String token = JwtUtils.generateUsersToken(authResult);
        response.setHeader(JwtUtils.TOKEN_HEADER, JwtUtils.TOKEN_PREFIX + token);

    }

}
