package cn.wise.sc.pay.common.security2.userDetail;

import cn.wise.sc.pay.common.security2.service.DeviceJdbcService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;

import java.util.List;

/**
 * @description: 通过设备登录获取token
 * @author: qh
 * @create: 2020-04-21 14:08
 **/
@Slf4j
public class JwtDeviceDetailsService implements UserDetailsService {

    @Autowired
    DeviceJdbcService deviceJdbcService;

    @Override
    public UserDetails loadUserByUsername(String deviceCode) throws UsernameNotFoundException {

        //获取数据库用户信息
        List<UserDetails> list = deviceJdbcService.getDeviceCode(deviceCode);
        //todo 权限获取
        if (list.size() == 0) {
            log.warn("未找到当前用户:{} \n ====== cn.wise.sc.pay.common.security2.userDetail.JwtDeviceDetailsService.loadUserByUsername()", deviceCode);
            throw new UsernameNotFoundException("未找到当前用户!");
        }
        UserDetails userDetails = list.get(0);
        return userDetails;
    }
}
