package cn.wise.sc.pay.business.comment.service;

import cn.wise.sc.pay.business.comment.bean.Comment;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
public interface ICommentService {

    /**
     * 添加图文评论
     *
     * @param comment
     * @return
     */
    BaseResponse insertComment(Comment comment);

    /**
     * 根据id删除
     *
     * @param ids
     * @return
     */
    BaseResponse deleteByIds(List<String> ids);

    /**
     * 评论点赞数 +1
     *
     * @param id
     * @return
     */
    BaseResponse updatePraiseNum(Long id);

    /**
     * 评论列表
     *
     * @return
     */
    BaseResponse getCommentList(PageQuery pageQuery);

    /**
     * 根据评论主体获取列表 分页
     *
     * @param targetId
     * @return
     */
    BaseResponse<Page<Comment>> selectByTargetId(Long targetId, PageQuery pageQuery);

    /**
     * 获取符合条件的条数
     *
     * @param qw 条件
     * @return 条数
     */
    int getCommentCount(QueryWrapper qw);
}
