package cn.wise.sc.pay.business.goods.model;

import cn.wise.sc.pay.business.goods.model.vo.GoodsVO;
import cn.wise.sc.pay.common.core.model.BaseResponse;

/**
 * @description: 收银系统商品统一返回对象
 * @author: qh
 * @create: 2019-12-16 22:10
 **/
public class GoodsResponse extends BaseResponse<GoodsVO> {

    private static GoodsResponse createBaseResponse() {
        return new GoodsResponse();
    }

    public static GoodsResponse ok(String msg) {

        GoodsResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(new GoodsVO());

        baseResponse.setClassName(GoodsVO.class.getName());

        baseResponse.setMsg("操作成功");

        return baseResponse;
    }

    public static GoodsResponse ok(GoodsVO data) {

        GoodsResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(data);

        baseResponse.setClassName(data.getClass().getName());

        baseResponse.setMsg("操作成功");

        return baseResponse;
    }

    public static GoodsResponse ok(String msg, GoodsVO data) {

        GoodsResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(data);

        baseResponse.setClassName(data.getClass().getName());

        baseResponse.setMsg(msg);

        return baseResponse;
    }

    public static GoodsResponse error(String msg) {

        GoodsResponse baseResponse = createBaseResponse();

        baseResponse.setCode(400);

        baseResponse.setData(null);

        baseResponse.setClassName(GoodsVO.class.getName());

        baseResponse.setMsg(msg);

        return baseResponse;
    }
}
