package cn.wise.sc.pay.business.goods.model.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 商品VO
 * @author: qh
 * @create: 2019-12-16 22:32
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsExcel {
    /**
     * 商品名
     */
    @ExcelProperty(value = "商品名称",index = 0)
    private String name;

    /**
     * 商品封面
     */
    @ExcelProperty(value = "商品封面",index = 1)
    private String cover;

    /**
     * 商品类型 /分割
     */
    @ExcelProperty(value = "商品类型",index = 2)
    private String type;

    /**
     * 价格  (原field1)
     */
    @ExcelProperty(value = "价格",index = 3)
    private String price;
    /**
     * 单位 unit (原field2)
     */
    @ExcelProperty(value = "单位",index = 4)
    private String unit;
    /**
     * 是否有规格,0 无，1 是  (原field3)
     */
    @ExcelProperty(value = "是否有规格",index = 5)
    private String spc;

    @ExcelIgnore
    private Integer sellerId;

    @ExcelProperty(value = "条形码")
    private String code;

}
