package cn.wise.sc.pay.laas.userbac.business.config;

import com.baomidou.mybatisplus.extension.parsers.DynamicTableNameParser;
import com.baomidou.mybatisplus.extension.parsers.ITableNameHandler;
import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

import java.util.Collections;
import java.util.HashMap;

/**
 * @author neo.shu
 * @since 2019/11/26 11:03
 */
@Configuration
@MapperScan(basePackages = {
        "cn.wise.sc.pay.laas.userbac.business.mapper"})
@ComponentScan(basePackages = "cn.wise.sc.pay.laas.userbac.business")
public class MybatisPlusConfig {

    @Value("${spring.datasource.dtn.userbac.prefix:}")
    private String prefix;

    @Value("${spring.datasource.dtn.userbac.suffix:}")
    private String suffix;

    @Bean
    public PaginationInterceptor paginationInterceptor() {

        PaginationInterceptor paginationInterceptor = new PaginationInterceptor();
        paginationInterceptor.setDialectType("mysql");
        DynamicTableNameParser dynamicTableNameParser = new DynamicTableNameParser();
        //添加动态表的通用名
        String[] dynamicTables = {
                "sys_dept",
                "sys_dept_relation",
                "sys_dict",
                "sys_log",
                "sys_menu",
                "sys_oauth_client_details",
                "sys_role",
                "sys_role_dept",
                "sys_role_menu",
                "sys_user",
                "sys_user_role"};

        dynamicTableNameParser.setTableNameHandlerMap(new HashMap<String, ITableNameHandler>(dynamicTables.length) {{
            for (String table : dynamicTables) {
                put(table, (metaObject, sql, tn) -> {
                    return prefix + tn + suffix;
                });
            }
        }});

        paginationInterceptor.setSqlParserList(Collections.singletonList(dynamicTableNameParser));

        return paginationInterceptor;
    }
}
