package cn.wise.sc.pay.pass.business.app.controller.merchant;

import cn.wise.sc.pay.api.merchant.service.ITransportationHubService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @description: app端线路信息
 * @author: qh
 * @create: 2020-06-09 16:10
 **/
@RestController
@CrossOrigin
@RequestMapping("/app/merchant/transportation")
@Slf4j
public class TransportationHubController {

    @Autowired
    ITransportationHubService iTransportationHubService;

    @GetMapping("/list")
    @ApiOperation("获取线路图信息 全部")
    public BaseResponse list() {
        return iTransportationHubService.list(new PageWrapperQuery());
    }

    @GetMapping("/{id}")
    @ApiOperation("获取单个线路图信息")
    public BaseResponse getById(@PathVariable("id") Long id) {
        return iTransportationHubService.getById(id);
    }

}
