package cn.wise.sc.pay.pass.business.cashiers.controller;

import cn.wise.sc.pay.api.cashier.service.IGoodsService;
import cn.wise.sc.pay.business.goods.model.bean.Goods;
import cn.wise.sc.pay.business.goods.model.query.GoodsScanQuery;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @description: 商品控制器
 * @author: qh
 * @create: 2020-06-08 10:35
 **/
@CrossOrigin
@RestController
@RequestMapping("/cashiers/goods")
@Api(value = "/cashiers/goods", tags = "收银端商品管理")
public class GoodsController {

    final
    IGoodsService iGoodsService;

    public GoodsController(IGoodsService iGoodsService) {
        this.iGoodsService = iGoodsService;
    }

    @PostMapping("/scan")
    @ApiOperation("扫码录入商品")
    @ApiImplicitParam(value = "扫码商品", name = "goodsScanQuery", paramType = "body", dataTypeClass = GoodsScanQuery.class)
    public BaseResponse<Goods> scanAddGoods(@RequestBody GoodsScanQuery goodsScanQuery) {

        return iGoodsService.scanAddGoods(goodsScanQuery);
    }

    @GetMapping("/scan")
    @ApiOperation("扫码获取商品信息")
    @ApiImplicitParam(name = "code", value = "二维码", paramType = "query", dataTypeClass = String.class)
    public BaseResponse<Goods> getGoodsInfoByCode(String code) {
        return iGoodsService.getGoodsInfoByCode(code);
    }


}
