package cn.wise.sc.pay.pass.business.manager.controller;


import cn.wise.sc.pay.api.order.service.IOrdersAutoSettingService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.order.model.OrdersAutoSetting;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 订单自动处理   前端控制器
 * </p>
 *
 * @author qh
 * @since 2020-03-31
 */
@CrossOrigin
@RestController
@RequestMapping("/manage/ordersAutoSetting")
public class OrdersAutoSettingController {

    final
    IOrdersAutoSettingService iOrdersAutoSettingService;

    public OrdersAutoSettingController(IOrdersAutoSettingService iOrdersAutoSettingService) {
        this.iOrdersAutoSettingService = iOrdersAutoSettingService;
    }

    @GetMapping
    @ApiOperation("获取订单自动配置")
    public BaseResponse<OrdersAutoSetting> getOrderSetting() {
        return iOrdersAutoSettingService.getOrderSetting();
    }

    @PutMapping
    @ApiOperation("编辑订单自动配置")
    public BaseResponse<OrdersAutoSetting> edit(@RequestBody OrdersAutoSetting ordersAutoSetting) {
        return iOrdersAutoSettingService.edit(ordersAutoSetting);
    }
}

