package cn.wise.sc.pay.pass.business.manager.controller.association;


import cn.wise.sc.pay.api.association.service.ITopicService;
import cn.wise.sc.pay.domain.association.bean.Topic;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lqk
 * @since 2019-11-25
 */
@Api(description = "社群话题管理")
@RestController
@RequestMapping("/manage/association/topic")
@CrossOrigin
public class TopicController {

    @Autowired
    ITopicService topicService;

    @GetMapping("/list")
    @ApiOperation("获取话题列表")
    public ResponseEntity<List<Topic>> list() {
        return ResponseEntity.ok(topicService.list().getData());
    }


    @PostMapping("/addTopic")
    @ApiOperation("添加话题")
    public ResponseEntity addTopic(@RequestBody Topic topic) {
        return ResponseEntity.ok(topicService.addTopic(topic));
    }

    @PutMapping("updateName")
    @ApiOperation("更新话题名称")
    public ResponseEntity updateTopicName(@RequestBody Topic topic) {
        return ResponseEntity.ok(topicService.updateTopicName(topic).getData());
    }


    @PutMapping("updateOrder")
    @ApiOperation("更新社群分类排序")
    public ResponseEntity updateTopicOrder(Long tId, Long oId) {
        return ResponseEntity.ok(topicService.updateTopicOrder(tId, oId).getData());
    }

    @DeleteMapping("delete")
    @ApiOperation("删除社群分类")
    public ResponseEntity deleteTopicById(Long id) {
        return ResponseEntity.ok(topicService.deleteTopicById(id).getData());
    }

}

