package cn.wise.sc.pay.pass.business.manager.controller.merchant;

import cn.wise.sc.pay.api.merchant.service.IBannerImageService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.BannerImage;
import cn.wise.sc.pay.domain.merchant.bean.BannerType;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author lqk
 * @since 2019/10/08 09:09
 */
@RestController
@CrossOrigin
@Api(description = "焦点图")
@RequestMapping("/manage/merchant/banner/")
@Slf4j
public class BannerImageController {

    final
    IBannerImageService bannerImageService;

    public BannerImageController(IBannerImageService bannerImageService) {
        this.bannerImageService = bannerImageService;
    }

    @PutMapping("updateBannerImage")
    public ResponseEntity addDevice(@RequestBody BannerImage bImage) {
        return ResponseEntity.ok(bannerImageService.addDevice(bImage).getData());
    }

    @GetMapping("bannerImages")
    public ResponseEntity getBannerImageList() {
        return ResponseEntity.ok(bannerImageService.getBannerImageList().getData());
    }

    @GetMapping("typeList")
    public ResponseEntity getTypeList() {
        return ResponseEntity.ok(bannerImageService.getTypeList().getData());
    }

    @DeleteMapping("deleteBannerImage")
    public ResponseEntity deletePic(Integer id) {
        return ResponseEntity.ok(bannerImageService.deletePic(id).getData());
    }

    @GetMapping("advertImages")
    public BaseResponse getAdvertImageList(){
       return bannerImageService.getAdvertImageList();
    }

    @GetMapping("eshopImages")
    public BaseResponse getEshopImageList(){
        return bannerImageService.getEshopImageList();
    }
}
