package cn.wise.sc.pay.pass.business.manager.controller.merchant;

import cn.wise.sc.pay.api.merchant.service.ICategoryService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.Category;
import cn.wise.sc.pay.domain.merchant.query.CategoryQuery;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

/**
 * @author neo.shu
 * @since 2019/10/08 09:09
 */
@RestController
@CrossOrigin
@RequestMapping("/manage/merchant/category/")
@Slf4j
public class CategoryController {

    final
    ICategoryService categoryService;

    public CategoryController(ICategoryService categoryService) {
        this.categoryService = categoryService;
    }

    @GetMapping("getCategorys")
    public ResponseEntity getCategorys(){
        return ResponseEntity.ok(categoryService.getCategorys().getData());
    }

    @PostMapping("addCategory")
    public ResponseEntity addCategory(@RequestBody CategoryQuery categoryQuery) {
        return ResponseEntity.ok(categoryService.addCategory(categoryQuery).getData());
    }
    @PutMapping("updateCategory")
    public ResponseEntity updateCategory(@RequestBody Category category){
        return ResponseEntity.ok(categoryService.updateCategory(category).getData());
    }
    @DeleteMapping("deleteCategory")
    public ResponseEntity deleteCategory(Long id){
        return ResponseEntity.ok(categoryService.deleteCategory(id).getData());
    }

}
