package cn.wise.sc.pay.pass.business.manager.controller.order;

import cn.wise.sc.pay.api.order.service.IZHPayMerService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.order.model.MerchantPayPro;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
/**
 * @description:
 * @author: qh
 * @create: 2020-09-24 12:54
 **/
@Slf4j
@CrossOrigin
@RestController
@RequestMapping("/pay/setting")
public class ZHPaysettingController {

    @Autowired
    IZHPayMerService iMerchantPayProService;

    @PostMapping("/create")
    public BaseResponse<Boolean> create(@RequestBody MerchantPayPro merchantPayPro) {
        return iMerchantPayProService.create(merchantPayPro);
    }

    @DeleteMapping("/{id}")
    public BaseResponse<Boolean> delete(@PathVariable("id") Long id) {
        return iMerchantPayProService.delete(id);
    }

    @GetMapping("/{sellerId}")
    public BaseResponse<MerchantPayPro> getBySeller(@PathVariable("sellerId") Long sellerId) {
      return iMerchantPayProService.getBySeller(sellerId);
    }
}
