package cn.wise.sc.pay.business.association.controller;


import cn.wise.sc.pay.business.association.service.IBannerService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.association.bean.Banner;
import cn.wise.sc.pay.domain.association.query.BannerQuery;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Api(description = "社群类型管理")
@RestController
@RequestMapping("/association/banner")
@CrossOrigin
public class BannerController {

    @Autowired
    IBannerService bannerService;

    @GetMapping("/list")
    @ApiOperation("获取社群分类导航")
    public BaseResponse<List<Banner>> list() {
        return bannerService.bannerList();
    }

    @GetMapping("/rwList")
    @ApiOperation("获取人文艺术下分类导航")
    public BaseResponse rwList(){
        return bannerService.getRwList();
    }

    @GetMapping("/selectList")
    @ApiOperation("下拉选择社群分类，排除“推荐”")
    public BaseResponse<List<Banner>> selectList() {
        return bannerService.selectList();
    }


    @PostMapping("/addBanner")
    @ApiOperation("新增社群分类")
    public BaseResponse addBanner(@RequestBody BannerQuery bannerQuery) {
        return bannerService.insertBanner(bannerQuery);
    }


    @PutMapping("updateBannerName")
    @ApiOperation("更新社群分类名称")
    public BaseResponse updateBannerName(@RequestBody Banner banner) {
        return bannerService.updateBanner(banner);
    }


    @PutMapping("updateBannerOrder")
    @ApiOperation("更新社群分类排序")
    public BaseResponse updateBannerOrder(Long tId, Long oId) {
        return bannerService.updateBannerOrder(tId, oId);
    }

    @DeleteMapping("deleteBanner")
    @ApiOperation("删除社群分类")
    public BaseResponse deleteBannerById(Long id) {
        return bannerService.deleteBannerById(id);
    }
}











