package cn.wise.sc.pay.business.association.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.association.bean.Praise;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-25
 */
public interface IPraiseService extends IService<Praise> {

    /**
     * 点赞图文/文章
     * @param articleId
     * @param userId
     * @return
     */
    BaseResponse addPraise(Long articleId, Long userId);

    /**
     * 用户是否已点赞图文
     * @param articleId
     * @param userId
     * @return
     */
    BaseResponse judgePraise(Long articleId, Long userId);

    /**
     * 取消点赞
     * @param id
     * @param userId
     * @return
     */
    BaseResponse deletePraise(Long id, Long userId);
}
