package cn.wise.sc.pay.business.association.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.association.bean.Topic;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-25
 */
public interface ITopicService extends IService<Topic> {

    /**
     * 话题分类下拉选
     *
     * @return
     */
    BaseResponse<List<Topic>> selectList();

    /**
     * 分页条件查询话题分类 name可为null
     *
     * @param name
     * @return
     */
    BaseResponse<Page<Topic>> pageTopic(String name, PageQuery pageQuery);

    /**
     * 新增话题
     *
     * @param topic
     * @return
     */
    BaseResponse insertTopic(Topic topic);

    /**
     * 编辑话题名称
     *
     * @param topic
     * @return
     */
    BaseResponse updateTopic(Topic topic);

    /**
     * 话题上下移动排序位置
     *
     * @param tId
     * @param oId
     * @return
     */
    BaseResponse updateTopicOrder(Long tId, Long oId);

    /**
     * 删除话题,已使用的话题不能删除
     *
     * @param id
     * @return
     */
    BaseResponse deleteTopicById(Long id);
}
