package cn.wise.sc.pay.domain.association.query;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lqk
 * @since 2019-11-19
 */
@Data
public class ArticleQuery {
  /** 作者id */
  private Long authorId;
  /** 作者名 */
  private String authorName;
  /** 作者头像 */
  private String authorImage;
  /** 标题 */
  private String title;
  /** 内容 */
  private String content;
  /** 0小图 1大图 */
  private byte picType;
  /** 所属分类 */
  private String bname;
  /** 审核状态 */
  @ApiModelProperty(hidden = true)
  private byte status;
  /** 封面图 */
  private String coverImage;
  /** 资源 */
  @TableField(exist = false)
  private List<String> aocSources;
  /** 图文类别 0图文 1文章 */
  private byte type;
  /** 发布地址 */
  private String address;

  private Long createTime = 0L;
}
