package cn.wise.sc.pay.business.cashier.service;

import cn.wise.sc.pay.business.cashier.model.TrolleyGoodsDetail;
import cn.wise.sc.pay.common.core.model.BaseResponse;

import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2020-06-09 09:40
 **/
public interface ITrolleyService {

    /**
     * 加入购物车
     *
     * @param trolleyGoodsDetail 信息
     * @return List<TrolleyGoodsDetail>
     */
    BaseResponse<List<TrolleyGoodsDetail>> joinTrolley(TrolleyGoodsDetail trolleyGoodsDetail);

    /**
     * 移除购物车
     *
     * @param goodId 商品id
     * @param userId 用户id
     * @return List<TrolleyGoodsDetail>
     */
    BaseResponse<List<TrolleyGoodsDetail>> removeTrolley(Long goodId, Long userId,Long skuId);

    /**
     * 获取购物车里的所有商品
     *
     * @param userId 用户id
     * @return List<TrolleyGoodsDetail>
     */
    BaseResponse<List<TrolleyGoodsDetail>> getGoods(Long userId);

    /**
     * 编辑购物车
     *
     * @param list   购物车信息
     * @param userId 用户id
     * @return List<TrolleyGoodsDetail>
     */
    BaseResponse<List<TrolleyGoodsDetail>> edit(List<TrolleyGoodsDetail> list, Long userId);
}
