package cn.wise.sc.pay.api.eshopping.service;

import cn.wise.sc.pay.api.eshopping.service.hystrix.EshopBrandServiceImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.query.EshopBrandQuery;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import javax.validation.constraints.DecimalMin;

/**
 * 文章
 */
@FeignClient(value = "saas-v1-eshopping",path = "/eshop/brand",fallback = EshopBrandServiceImpl.class)
public interface IEshopBrandService {

    @PostMapping
    BaseResponse addBrand(@RequestBody @Valid EshopBrandQuery eshopBrand);

    @PutMapping
    BaseResponse updateBrand(@RequestBody @Valid EshopBrandQuery eshopBrand);

    @GetMapping("/brands")
    BaseResponse brandPage(@RequestParam("name") String name,
                                  @RequestParam(value = "pageNo") Integer pageNo,
                                  @RequestParam(value = "pageSize") Integer pageSize);

    @DeleteMapping
    BaseResponse deleteBrand(@RequestParam(value = "id", required = true)  @DecimalMin("0") Integer id);
}
