package cn.wise.sc.pay.api.eshopping.service;

import cn.wise.sc.pay.api.eshopping.service.hystrix.EshopTypeServiceImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.query.EshopTypeQuery;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * 文章
 */
@FeignClient(value = "saas-v1-eshopping",path = "/eshop/type",fallback = EshopTypeServiceImpl.class)
public interface IEshopTypeService {

    @PostMapping
    BaseResponse addGoodsType(@RequestBody @Valid EshopTypeQuery eshopTypeQuery);

    @PutMapping
    BaseResponse updateGoodsType(@RequestBody @Valid EshopTypeQuery eshopTypeQuery);

    @GetMapping("typeTree")
    BaseResponse goodsTypeTree();

    @DeleteMapping
    BaseResponse deleteGoodsType(@RequestParam(value = "id") Integer id);
}
