package cn.wise.sc.pay.api.eshopping.service.hystrix;

import cn.wise.sc.pay.api.eshopping.service.ILogisticsTemplateService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.query.LogisticsTemplateQuery;
import org.springframework.stereotype.Component;

import javax.validation.constraints.NotNull;

/**
 * @description: 物流模板熔断器
 * @author: qh
 * @create: 2020-04-02 13:36
 **/
@Component
public class LogisticsTemplateServiceImpl implements ILogisticsTemplateService {
    @Override
    public BaseResponse getLogisticsInfo(@NotNull(message = "物流号不能为空") String logisticsNo, @NotNull(message = "快递平台") String com) {
        return BaseResponse.hystrixError("qh");
    }

    @Override
    public BaseResponse add(LogisticsTemplateQuery logisticsTemplateQuery) {
        return BaseResponse.hystrixError("qh");
    }

    @Override
    public BaseResponse edit(LogisticsTemplateQuery logisticsTemplateQuery) {
        return BaseResponse.hystrixError("qh");
    }

    @Override
    public BaseResponse getInfoById(@NotNull(message = "id值不能为空") Integer id) {
        return BaseResponse.hystrixError("qh");
    }

    @Override
    public BaseResponse pageInfo(Integer pageNo, Integer pageSize) {
        return BaseResponse.hystrixError("qh");
    }

    @Override
    public BaseResponse deleteById(@NotNull(message = "id值不能为空") Integer id) {
        return BaseResponse.hystrixError("qh");
    }

    @Override
    public BaseResponse deleteChildById(@NotNull(message = "id值不能为空") Integer id) {
        return BaseResponse.hystrixError("qh");
    }
}
