package cn.wise.sc.pay.business.eshopping.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.query.TrolleyGoodsDetail;

import java.util.List;

/**
 * @description: 购物车
 * @author: qh
 * @create: 2020-03-27 11:06
 **/
public interface IEshopTrolleyService {

    /**
     * 加入购物车
     *
     * @param trolleyGoodsDetail 信息
     * @return List<TrolleyGoodsDetail>
     */
    BaseResponse<List<TrolleyGoodsDetail>> joinTrolley(TrolleyGoodsDetail trolleyGoodsDetail);

    /**
     * 移除购物车
     *
     * @param goodId 商品id
     * @param userId 用户id
     * @return List<TrolleyGoodsDetail>
     */
    BaseResponse<List<TrolleyGoodsDetail>> removeTrolley(Long goodId, Long userId,Long skuId);

    /**
     * 获取购物车里的所有商品
     *
     * @param userId 用户id
     * @return List<TrolleyGoodsDetail>
     */
    BaseResponse<List<TrolleyGoodsDetail>> getGoods(Long userId);

    /**
     * 编辑购物车
     *
     * @param list   购物车信息
     * @param userId 用户id
     * @return List<TrolleyGoodsDetail>
     */
    BaseResponse<List<TrolleyGoodsDetail>> edit(List<TrolleyGoodsDetail> list, Long userId);
}
