package cn.wise.sc.pay.business.eshopping.utils;

import cn.wise.sc.pay.business.eshopping.service.IEshopBrandService;
import cn.wise.sc.pay.business.eshopping.service.IEshopTypeService;
import cn.wise.sc.pay.business.eshopping.service.ILogisticsParentService;
import cn.wise.sc.pay.domain.eshopping.model.bean.EshopBrand;
import cn.wise.sc.pay.domain.eshopping.model.bean.EshopType;
import cn.wise.sc.pay.domain.eshopping.model.bean.LogisticsParent;
import com.alibaba.excel.write.handler.SheetWriteHandler;
import com.alibaba.excel.write.metadata.holder.WriteSheetHolder;
import com.alibaba.excel.write.metadata.holder.WriteWorkbookHolder;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.apache.poi.ss.usermodel.*;
import org.apache.poi.ss.util.CellRangeAddressList;
import org.apache.poi.xssf.usermodel.XSSFDataValidation;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class SpinnerWriteHandler implements SheetWriteHandler {

    @Override
    public void beforeSheetCreate(WriteWorkbookHolder writeWorkbookHolder, WriteSheetHolder writeSheetHolder) {

    }
    public SpinnerWriteHandler(IEshopBrandService eshopBrandService,
                               IEshopTypeService eshopTypeService,
                               ILogisticsParentService logisticsParentService){
        this.brandService = eshopBrandService;
        this.parentService = logisticsParentService;
        this.typeService = eshopTypeService;
    }

    IEshopBrandService brandService;

    IEshopTypeService typeService;

    ILogisticsParentService parentService;

    @Override
    public void afterSheetCreate(WriteWorkbookHolder writeWorkbookHolder, WriteSheetHolder writeSheetHolder) {
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.eq("disabled",1);
        List<EshopBrand> brands = brandService.list(wrapper);
        String [] brand = new String[brands.size()];
        for (int i = 0; i < brands.size(); i++){
            brand[i] = brands.get(i).getName();
        }
        QueryWrapper categoryWrapper = new QueryWrapper();
        categoryWrapper.eq("parent_id",0);
        List<EshopType> types = typeService.list(categoryWrapper);
        String [] category = new String[types.size()];
        for (int i = 0; i < types.size(); i++){
            category[i] = types.get(i).getTypeName();
        }
        String [] havespec = new String[]{"有","无"};
        String [] goodsTransfeeCharge = new String[]{"买家承担运费","卖家承担运费"};

        List<LogisticsParent> list = parentService.list();
        String [] templateName = new String[list.size()];
        for (int i = 0; i < list.size(); i++){
            templateName[i] = list.get(i).getName();
        }

        Map<Integer,String []> mapDropDown = new HashMap<>();
        mapDropDown.put(2,brand);
        mapDropDown.put(3,category);
        mapDropDown.put(13,havespec);
        mapDropDown.put(11,goodsTransfeeCharge);
        mapDropDown.put(12,templateName);
        Sheet sheet = writeSheetHolder.getSheet();
        ///开始设置下拉框
        DataValidationHelper helper = sheet.getDataValidationHelper();//设置下拉框
        for (Map.Entry<Integer, String[]> entry : mapDropDown.entrySet()) {
            /***起始行、终止行、起始列、终止列**/
            CellRangeAddressList addressList = new CellRangeAddressList(1, 5000, entry.getKey(), entry.getKey());
            /***设置下拉框数据**/
            DataValidationConstraint constraint = helper.createExplicitListConstraint(entry.getValue());
            DataValidation dataValidation = helper.createValidation(constraint, addressList);
            /***处理Excel兼容性问题**/
            if (dataValidation instanceof XSSFDataValidation) {
                dataValidation.setSuppressDropDownArrow(true);
                dataValidation.setShowErrorBox(true);
            } else {
                dataValidation.setSuppressDropDownArrow(false);
            }
            sheet.addValidationData(dataValidation);
        }

        //下面定时样式的
//        Row row = sheet.getRow(0);
//        Workbook workbook = writeWorkbookHolder.getWorkbook();
//        row.setHeight((short) 500);
//        for (int i = 0; i < row.getLastCellNum(); i++) {
//            sheet.setColumnWidth(i, 5000);
//            Cell cell = row.getCell(i);
//            cell.setCellStyle(setStyle(workbook));
//        }
//        row.setHeight((short) (205*7));
    }

    public static CellStyle setStyle( Workbook wb){
        Font dataFont = wb.createFont();
        dataFont.setFontName("宋体");
        dataFont.setFontHeight((short) 240);
        dataFont.setBold(true);
        dataFont.setFontHeightInPoints((short) 10);
        CellStyle dataStyle = wb.createCellStyle();
        dataStyle.setFont(dataFont);
        dataStyle.setWrapText(true);
        dataStyle.setVerticalAlignment(VerticalAlignment.CENTER);
        dataStyle.setAlignment(HorizontalAlignment.CENTER);
        return dataStyle;
    }

}
