package cn.wise.sc.pay.domain.eshopping.model.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotBlank;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Validated
public class EshopBrand extends Model<EshopBrand> {

    /**
     * 商品分类
     */
    @TableId(type = IdType.AUTO)
    private Integer brandId;

    /**
     * 商品分类名称
     */
    @NotBlank(message = "品牌名称不能为空")
    private String name;

    /**
     * 上级分类id
     */
    private String logo;

    /**
     * 排序号
     */
    private Integer disabled;

}
