package cn.wise.sc.pay.domain.eshopping.model.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 物流管理模板实体类
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LogisticsTemplate extends Model<LogisticsTemplate> implements Serializable {
    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 物流模板父id
     */
    private Integer parentId;

    /**
     * 可配送区域
     */
    private String region;

    @TableField(exist = false)
    private List<String> regions;
    /**
     * 可配送区域id
     */
    private String regionId;

    @TableField(exist = false)
    private List<Integer> regionIds;

    /**
     * 首件 首次免费件数
     */
    private Integer firstNum;
    /**
     * 续件
     */
    private Integer continueNum;


    /**
     * 首重
     */
    private Double firstWeight;
    /**
     * 续重
     */
    private Double continueWeight;

    /**
     * 运费
     */
    private Double fee;
    /**
     * 续费
     */
    private Double continueFee;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 修改时间
     */
    private Long updateTime;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
