package cn.wise.sc.pay.domain.eshopping.model.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ReceiveAddress extends Model<ReceiveAddress> {

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Integer addrId;
    /**
     * 会员标识
     */
    private Integer userId;
    /**
     * 收货人姓名
     */
    private String name;
    /**
     * 国籍
     */
    private String country;
    /**
     * 省份编号
     */
    private Integer provinceId;
    /**
     * 城市编号
     */
    private Integer cityId;
    /**
     * 县区编号
     */
    private Integer countyId;
    /**
     * 城镇编号
     */
    private Integer townId;
    /**
     * 所属县(区)名称
     */
    private String county;
    /**
     * 所属城市名称
     */
    private String city;
    /**
     * 所属省份名称
     */
    private String province;
    /**
     * 所属城镇名称
     */
    private String town;
    /**
     * 详细地址
     */
    private String addr;
    /**
     * 联系电话(一般指座机)
     */
    private String tel;
    /**
     * 手机号码
     */
    private String mobile;
    /**
     * 是否为默认收货地址
     */
    private Integer defAddr;
    /**
     * 地址别名
     */
    private String shipAddressName;

}
