package cn.wise.sc.pay.domain.eshopping.model.bean;

import cn.wise.sc.pay.domain.eshopping.model.vo.RegionVO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import javax.validation.constraints.Min;
import java.util.ArrayList;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Regions {

    /**
     * 地区id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 父地区id
     */
    @Min(message = "必须为数字", value = 0)
    private Integer parentId;
    /**
     * 路径
     */
    private String regionPath;
    /**
     * 级别
     */
    private Integer regionGrade;
    /**
     * 名称
     */
    private String localName;
    /**
     * 邮编
     */
    private String zipcode;

    /**
     * region转vo
     *
     * @return
     */
    public RegionVO toVo() {
        RegionVO vo = new RegionVO();
        vo.setLocalName(this.getLocalName());
        vo.setParentId(this.getParentId());
        vo.setId(this.getId());
        vo.setChildren(new ArrayList<RegionVO>());
        vo.setLevel(this.getRegionGrade());
        return vo;
    }
}
