package cn.wise.sc.pay.domain.eshopping.model.query;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Validated
@ApiModel
public class EshopBrandQuery implements Serializable {

    private static final long serialVersionUID = -465842433290750335L;
    /**
     * 商品分类
     */
    @ApiModelProperty(value = "品牌id",name = "brandId")
    private Integer brandId;

    /**
     * 商品分类名称
     */
    @NotBlank(message = "品牌名称不能为空")
    @ApiModelProperty(value = "品牌名称",name = "name", required = true)
    private String name;

    /**
     * 上级分类id
     */
    @ApiModelProperty(value = "品牌商标",name = "logo")
    private String logo;

    /**
     * 是否删除 0删除 1未删除
     */
    private Integer disabled;

}
