package cn.wise.sc.pay.domain.eshopping.model.query;

import cn.wise.sc.pay.domain.eshopping.model.bean.EshopType;
import lombok.*;

@Data
@EqualsAndHashCode(callSuper = true)
public class EshopTypeTree extends TreeNode {

    /**
     * 商品分类
     */
    private Integer typeId;

    /**
     * 商品分类名称
     */
    private String typeName;

    /**
     * 上级分类id
     */
    private int parentId;

    /**
     * 排序号
     */
    private Integer sortNo;

    /**
     * 分类图标
     */
    private String icon;

    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 最后一次修改时间
     */
    private Long modifyTime;

    public EshopTypeTree(){};

    public EshopTypeTree(EshopType eshopType){
        this.typeId = eshopType.getTypeId();
        this.typeName = eshopType.getTypeName();
        this.parentId = eshopType.getParentId();
        this.sortNo = eshopType.getSortNo();
        this.icon = eshopType.getIcon();
        this.createTime = eshopType.getCreateTime();
        this.modifyTime = eshopType.getModifyTime();
        this.id = eshopType.getTypeId();
    }
}
