package cn.wise.sc.pay.domain.eshopping.model.query;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel
public class ReceiveAddressQuery implements Serializable {

    private static final long serialVersionUID = 1949401835374446761L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Integer addrId;
    /**
     * 会员标识
     */
    @ApiModelProperty(value = "用户id")
    private Integer userId;
    /**
     * 收货人姓名
     */
    @ApiModelProperty(value = "用户名称")
    private String name;
    /**
     * 国籍
     */
    @ApiModelProperty(value = "用户国籍")
    private String country;
    /**
     * 省份编号
     */
    @ApiModelProperty(value = "省份编号")
    private Integer provinceId;
    /**
     * 城市编号
     */
    @ApiModelProperty(value = "城市编号")
    private Integer cityId;
    /**
     * 县区编号
     */
    @ApiModelProperty(value = "县区编号")
    private Integer countyId;
    /**
     * 城镇编号
     */
    @ApiModelProperty(value = "城镇编号")
    private Integer townId;
    /**
     * 所属县(区)名称
     */
    @ApiModelProperty(value = "县(区)名称")
    private String county;
    /**
     * 所属城市名称
     */
    @ApiModelProperty(value = "所属城市名称")
    private String city;
    /**
     * 所属省份名称
     */
    @ApiModelProperty(value = "所属省份名称")
    private String province;
    /**
     * 所属城镇名称
     */
    @ApiModelProperty(value = "所属城镇名称")
    private String town;
    /**
     * 详细地址
     */
    @ApiModelProperty(value = "详细地址")
    private String addr;
    /**
     * 联系电话(一般指座机)
     */
    @ApiModelProperty(value = "联系电话(一般指座机)")
    private String tel;
    /**
     * 手机号码
     */
    @ApiModelProperty(value = "手机号码")
    private String mobile;
    /**
     * 是否为默认收货地址
     */
    @ApiModelProperty(value = "是否为默认收货地址 0是 1不是")
    private Integer defAddr;
    /**
     * 地址别名
     */
    @ApiModelProperty(value = "地址别名")
    private String shipAddressName;

}
