package cn.wise.sc.pay.domain.eshopping.model.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Validated
public class EshopGoodsVO {

    /**
     * 商品主键标识
     */
    private Integer goodsId;

    @NotBlank(message = "商品名称不能为空")
    private String goodsName;
    /**
     * 商品编号
     */
    private String sn;
    /**
     * 品牌id
     */
    private Integer brandId;
    /**
     * 分类id
     */
    @NotNull(message = "商品分类不能为空")
    private Integer categoryId;
    /**
     * 重量
     */
    @NotNull(message = "商品重量不能为空")
    private Double weight;
    /**
     * 上架状态 1上架  0下架
     */
    private Integer marketEnable;
    /**
     * 详情
     */
    private String intro;
    /**
     * 商品价格
     */
    @NotNull(message = "商品价格为必填")
    private Double price;
    /**
     * 成本价格
     */
    @NotNull(message = "成本价格为必填")
    private Double cost;
    /**
     * 市场价格
     */
    @NotNull(message = "成本价格为必填")
    private Double mktprice;
    /**
     * 是否有规格0没有 1有
     */
    @NotNull(message = "规格（0没有 1有）,必须填写")
    private Integer haveSpec;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 最后修改时间
     */
    private Long lastModify;
    /**
     * 浏览数量
     */
    private Integer viewCount;
    /**
     * 购买数量
     */
    private Integer buyCount;
    /**
     * 是否被删除 0逻辑已删除 1未删除 -1彻底删除
     */
    private Integer disabled;
    /**
     * 库存
     */
    private Integer quantity;
    /**
     * 可用库存
     */
    private Integer enableQuantity;
    /**
     * 商品好评率
     */
    private Double grade;
    /**
     * 原图路径
     */
    @NotBlank(message = "商品图片路径")
    private String original;
    /**
     * 评论数量
     */
    private Integer commentNum;
    /**
     * 运费模板id
     */
    private Integer templateId;
    /**
     * 谁承担运费0：买家承担，1：卖家承担
     */
    private Integer goodsTransfeeCharge;
    /**
     * 下架原因
     */
    private String underMessage;

    /**
     * 运费
     */
    private String freight;
    /**
     * 商品描述或简介
     */
    private String describ;

    /**
     * 商品所以规格
     */
    private List<SpecificationVO> sku;

}
