package cn.wise.sc.pay.domain.eshopping.model.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Validated
public class EshopTypeVO {

    /**
     * 商品分类
     */
    private Integer typeId;

    /**
     * 商品分类名称
     */
    @NotBlank(message = "分类名称不能为空")
    private String typeName;

    /**
     * 上级分类id
     */
    @NotNull(message = "非第一级分类，必须指定上级分类，第一级分类上级分类id为0")
    private Integer parentId;

    /**
     * 排序号
     */
    private Integer sortNo;

    /**
     * 分类图标
     */
    private String icon;

    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 最后一次修改时间
     */
    private Long modifyTime;

}
