package cn.wise.sc.pay.domain.eshopping.model.vo;

import cn.wise.sc.pay.domain.eshopping.model.bean.LogisticsTemplate;
import com.alibaba.fastjson.JSON;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.util.CollectionUtils;

import java.io.Serializable;
import java.util.List;

/**
 * 物流模板返回值对象
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class LogisticsDetailVo implements Serializable {
    /**
     * 主键id
     */
    private Integer id;
    /**
     * 物流模板名称
     */
    private String name;
    /**
     * 计费方式，0：按件计费，1按重量计费
     */
    private Integer feeWay;

    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 修改时间
     */
    private Long updateTime;

    /**
     * 子模板参数对象
     */
    private List<LogisticsTemplate> logisticsTemplates;

    public static List<LogisticsTemplate> logisticsTemplates(List<LogisticsTemplate> logisticsTemplates) {
        if (CollectionUtils.isEmpty(logisticsTemplates)) {
            return null;
        }
        logisticsTemplates.stream().forEach(lt -> {
            lt.setRegions(JSON.parseArray(lt.getRegion(), String.class));
            lt.setRegionIds(JSON.parseArray(lt.getRegionId(), Integer.class));
        });
        return logisticsTemplates;
    }
}
