package cn.wise.sc.pay.api.exhibition.service;

import cn.wise.sc.pay.business.comment.bean.Reply;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @description: 展览评论的回复 api
 * @author: qh
 * @create: 2020-04-28 14:43
 **/
@FeignClient(value = "saas-v1-exhibition", path = "/exhibition", fallback = ExhibitionReplyServiceImpl.class)
public interface IExhibitionsReplyService {

    /**
     * 添加展览评论的回复
     * @param reply 回复实体对象
     * @return ResponseEntity
     */
    @PostMapping("/addReply")
    BaseResponse inserReply(@RequestBody Reply reply);
}
