package cn.wise.sc.pay.business.exhibition.controller;

import cn.wise.sc.pay.business.exhibition.service.IExhibitionTypeService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.exhibition.query.ExhibitionTypeQuery;
import cn.wise.sc.pay.domain.exhibition.vo.ExhibitionTypeVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author qh
 * @since 2019-11-18
 */
@Api(description = "展览类型")
@RestController
@RequestMapping("/exhibitionType")
@CrossOrigin
public class ExhibitionTypeController {

    @Autowired
    IExhibitionTypeService iExhibitionTypeService;

    @PostMapping("/new")
    @ApiOperation("新增展览类型")
    public BaseResponse addExhibitionType(@RequestBody ExhibitionTypeQuery exhibitionTypeQuery) {

        return iExhibitionTypeService.insertExhibitionType(exhibitionTypeQuery);
    }

    @GetMapping
    @ApiOperation("获取所有展览类型(树形图)")
    public BaseResponse<List<ExhibitionTypeVO>> getExhibitionTypes() {

        return iExhibitionTypeService.selectExhibitionTypes();
    }

    @DeleteMapping("/{id}")
    @ApiOperation("删除类别")
    @ApiImplicitParam(name = "id", value = "id", paramType = "path", dataType = "long")
    public BaseResponse delExhibitionType(@PathVariable("id") Long id) {

        return iExhibitionTypeService.delById(id);
    }

    @PutMapping("/{id}")
    @ApiOperation("编辑类别")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "id", paramType = "path", dataType = "int"),
            @ApiImplicitParam(name = "exhibitionTypeQuery", value = "类别", paramType = "query", dataType = "ExhibitionTypeQuery")
    })
    public BaseResponse eidtExhibitionType(@PathVariable("id") Integer id, ExhibitionTypeQuery exhibitionTypeQuery) {

        return iExhibitionTypeService.eidtExhibitionType(id, exhibitionTypeQuery);
    }
}

