package cn.wise.sc.pay.business.exhibition.service.impl;

import cn.wise.sc.pay.business.exhibition.mapper.ExhibitionCommentLIstByKeyMapper;
import cn.wise.sc.pay.business.exhibition.service.IExhibitionCommentService;
import cn.wise.sc.pay.domain.exhibition.vo.ExhibtCommentListVo;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import java.util.List;

/**
 * 根据关键字搜索评论列表，分页
 */
@Service
public class ExhibitionCommentServiceImpl implements IExhibitionCommentService {

    @Autowired
    private ExhibitionCommentLIstByKeyMapper mapper;

    @Override
    public ResponseEntity getCommentListByKey(Integer pageNo, Integer pageSize, String type, String title, String nickName) {

        if (StringUtils.isEmpty(type)) {
            type=null;
        }
        if (StringUtils.isEmpty(title)) {
            title=null;
        }
        if (StringUtils.isEmpty(nickName)) {
            nickName=null;
        }

        pageNo=(pageNo-1)*pageSize;

        List<ExhibtCommentListVo> exhibtCommentListVos = mapper.selectCommentList(pageNo, pageSize, type, title, nickName);
        Integer total = mapper.selectCommentListSize(type, title, nickName);

        Page<ExhibtCommentListVo> page =new Page<>();
        page.setRecords(exhibtCommentListVos);
        page.setTotal(total);
        page.setCurrent(pageNo);
        return ResponseEntity.status(HttpStatus.OK).body(page);

    }
}
