package cn.wise.sc.pay.domain.exhibition.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 订单中商品购买的信息
 * @author: qh
 * @create: 2019-11-22 16:08
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Commodity implements Serializable {

    private static final long serialVersionUID = 7461338068762638834L;

    /**
     * 展览标题
     */
    private String title;
    /**
     * 商品id
     */
    private long goodsId;

    /**
     * 商品数目
     */
    private int goodsNum;

    /**
     * 商品价格
     */
    private double price;

    /**
     * 商品类型
     */
    private String type;

    /**
     * 地址
     */
    private String address;

    /**
     * 特殊字段(用于存非公有的属性)
     */
    private Long validity;

    /**
     * 展览封面
     */
    private String cover;

}
