package cn.wise.sc.pay.domain.exhibition.vo;

import cn.wise.sc.pay.domain.exhibition.bean.ExhibitionStore;
import cn.wise.sc.pay.domain.exhibition.bean.Ticket;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description:
 * @author: qh
 * @create: 2019-11-22 10:59
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TicketVO implements Serializable {

    private static final long serialVersionUID = -8713308416867732519L;

    private Long id;

    private String name;

    private Double price;

    private Double discountPrice;

    private String type;

    private Integer totalPublish;

    private Integer totalSold;

    private Integer remaining;

    private Integer singleSold;

    public TicketVO(Ticket ticket, ExhibitionStore exStore) {


        this.name = ticket.getName();
        this.price = ticket.getPrice();
        this.discountPrice = ticket.getDiscountPrice();
        this.type = ticket.getType();
        this.totalPublish = exStore.getTotalPublish();
        this.totalSold = exStore.getTotalSold();
        this.singleSold = exStore.getSingleSold();
    }

}
