package cn.wise.sc.pay.api.merchant.service;

import cn.wise.sc.pay.api.merchant.service.hystrix.BankPermitServiceImpl;
import cn.wise.sc.pay.domain.merchant.bean.BankPermit;
import cn.wise.sc.pay.domain.merchant.query.BankPermitQuery;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@FeignClient(value = "saas-v1-merchant", path = "/merchant/bank/", fallback = BankPermitServiceImpl.class)
public interface IBankPermitService {

    @PostMapping("addLicense")
    ResponseEntity addBankPermit(@RequestBody BankPermitQuery bankPermitQuery);

    @PutMapping("updateLicense")
    ResponseEntity updateLicense(@RequestBody BankPermit bankPermit);

    @GetMapping("getBankPermit")
    ResponseEntity<BankPermit> getBankPermit(@RequestParam("id") Long id);
}
