package cn.wise.sc.pay.api.merchant.service;

import cn.wise.sc.pay.api.merchant.service.hystrix.BannerMenuServiceImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.BannerMenu;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "saas-v1-merchant", path = "merchant/menu/", fallback = BannerMenuServiceImpl.class)
public interface IBannerMenuService {

    @PostMapping("addOrUpdateMenu")
    default ResponseEntity<BannerMenu> uploadPic(@RequestBody BannerMenu menu) {
        return null;
    }

    @PutMapping("orderMenu")
    BaseResponse orderMenu(@RequestParam("type") Integer type, @RequestParam("id") Integer id);

    @GetMapping("getMenus")
    BaseResponse getMenus();

    @GetMapping("getPageMenus")
    BaseResponse getPageMenus(@RequestParam("pageNo") Integer pageNo,
                              @RequestParam("pageSize") Integer pageSize);

    @DeleteMapping("deleteBannerImage")
    BaseResponse deletePic(@RequestParam("id") Integer id);
}
