package cn.wise.sc.pay.api.merchant.service;

import cn.wise.sc.pay.api.merchant.service.hystrix.CategoryServiceImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.Category;
import cn.wise.sc.pay.domain.merchant.query.CategoryQuery;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;
@FeignClient(value = "saas-v1-merchant", path = "/merchant/category/", fallback = CategoryServiceImpl.class)
public interface ICategoryService {


    @GetMapping("getCategorys")
    public BaseResponse getCategorys();

    @PostMapping("addCategory")
    public BaseResponse addCategory(@RequestBody CategoryQuery categoryQuery);

    @PutMapping("updateCategory")
    public BaseResponse updateCategory(@RequestBody Category category);

    @DeleteMapping("deleteCategory")
    public BaseResponse deleteCategory(Long id);

}
