package cn.wise.sc.pay.api.merchant.service;

import cn.wise.sc.pay.api.merchant.service.hystrix.DeviceServiceImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.merchant.bean.Device;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.*;

@FeignClient(value = "saas-v1-merchant", path = "/merchant/device/", fallback = DeviceServiceImpl.class)
public interface IDeviceService {

    @GetMapping("typeName")
    public BaseResponse getTypeList(@RequestParam("typeName") String typeName);

    @PostMapping("addOrUpdateDevice")
    public BaseResponse addDevice(@RequestBody Device device);

    @GetMapping("{merchId}")
    public BaseResponse getMerchDevices(@PathVariable("merchId") Long merchId);

    @DeleteMapping("delete/{id}")
    public BaseResponse deleteDevice(@PathVariable("id") Long id);

    @DeleteMapping("page")
    public BaseResponse devicePage(@RequestParam("merchId") Long merchId, @RequestParam("typeId") Integer typeId,
                                     @SpringQueryMap PageQuery pageQuery);
}
