package cn.wise.sc.pay.api.merchant.service;

import cn.wise.sc.pay.api.merchant.service.hystrix.DeviceUserImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;


/**
 * <p>
 * 点单实体 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-12-25
 */
@FeignClient(value = "saas-v1-merchant", path = "/merchant/device/", fallback = DeviceUserImpl.class)
public interface IDeviceUserService {

    @GetMapping("deviceUser")
    BaseResponse getDeviceUser(@RequestParam("deviceCode")String deviceCode,
                                      @RequestParam("userId") Integer userId);

    @GetMapping("addUsers")
    BaseResponse addDeviceUser(@RequestParam("deviceCode") String deviceCode,@RequestParam("userId") Long userId);

    @GetMapping("getMerchDevices")
    BaseResponse getMerchDevices(@RequestParam("merchId") Long merchId);
}
