package cn.wise.sc.pay.api.merchant.service;

import cn.wise.sc.pay.api.merchant.service.hystrix.MerchantReplyImpl;
import cn.wise.sc.pay.business.comment.bean.Reply;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @description: 店铺评论的回复
 * @author: qh
 * @create: 2020-06-15 14:51
 **/
@FeignClient(value = "saas-v1-merchant",path = "/merchant/reply",fallback = MerchantReplyImpl.class)
public interface IMerchantReplyService {

    @PostMapping("/addReply")
    BaseResponse inserReply(@RequestBody Reply reply);

    @DeleteMapping("/deleteById/{id}")
    BaseResponse deleteById(@PathVariable("id") Long id);

    @DeleteMapping("/deleteByCommentIds")
    BaseResponse deleteByCommentIds(@RequestBody String commentIdStr);

    @PutMapping("/updatePariseNum/{id}")
    BaseResponse updatePraiseNum(@PathVariable("id") Long id);
}
