package cn.wise.sc.pay.api.merchant.service;

import cn.wise.sc.pay.api.merchant.service.hystrix.ProfitAllocationServiceImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.merchant.bean.ProfitAllocation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@FeignClient(value = "saas-v1-merchant", path = "/merchant/profit/", fallback = ProfitAllocationServiceImpl.class)
public interface IProfitAllocationService {

    @PostMapping("addOrUpdateProfit")
    public BaseResponse addProfit(@RequestBody ProfitAllocation profit);

    @GetMapping("{merchId}")
    public BaseResponse getMerchProfit(@PathVariable("merchId") Long merchId);

    @GetMapping("pageProfit")
    public BaseResponse merchProfitPage(@RequestParam("merchId") Long merchId, @RequestParam("payment") String payment,
                                        @RequestParam("pageNo") Integer pageNo,@RequestParam("pageSize") Integer pageSize);

    @GetMapping("getPageProfit")
    public BaseResponse getPageProfit(@RequestParam("merchId") Long merchId, @RequestParam("payment") String payment,
                                      @RequestBody PageQuery pageQuery);

    @PostMapping("addProfit")
    public BaseResponse addProfitConfig(@RequestBody List<ProfitAllocation> profits);

    @DeleteMapping("deleteProfit")
    public BaseResponse deleteProfit(@RequestParam("id") Long id);

}
