package cn.wise.sc.pay.business.merchant.controller;

import cn.wise.sc.pay.business.merchant.service.ITaxCertificateService;
import cn.wise.sc.pay.domain.merchant.bean.TaxCertificate;
import cn.wise.sc.pay.domain.merchant.query.TaxCertificateQuery;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author neo.shu
 * @since 2019/10/08 09:09
 */
@RestController
@CrossOrigin
@RequestMapping("/merchant/tax/")
@Slf4j
public class TaxCertificateController {

    @Autowired
    ITaxCertificateService taxCertificateService;

    @Autowired
    private Environment environment;

    @PostMapping("add")
    public ResponseEntity addInstitution(@RequestBody TaxCertificateQuery query) {
        if(query.getMerchantId() == null){
            return ResponseEntity.badRequest().body("商户id为空");
        }
        return taxCertificateService.insertTaxCertificate(query);
    }

    @PutMapping("update")
    public ResponseEntity updateLicense(@RequestBody TaxCertificate taxCertificate){
        if(taxCertificate.getId() == null){
            return ResponseEntity.badRequest().body("参数错误");
        }
        return taxCertificateService.updateTaxCertificate(taxCertificate);
    }

    @GetMapping("get")
    public ResponseEntity<TaxCertificate> getInstitution(Long id){
        TaxCertificate taxCertificate = taxCertificateService.getById(id);
        String host = environment.getProperty("fdfs.imgaddress");
        taxCertificate.setTaxCert(host + taxCertificate.getTaxCert());
        taxCertificate.setTaxpayerCert(host + taxCertificate.getTaxpayerCert());
        return ResponseEntity.ok(taxCertificate);
    }
}
