package cn.wise.sc.pay.business.merchant.controller;


import cn.wise.sc.pay.business.merchant.configure.FastDFSUtils;
import cn.wise.sc.pay.business.merchant.service.ITransportationHubService;
import cn.wise.sc.pay.common.core.model.BaseController;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import cn.wise.sc.pay.common.core.query.PageWrapperQueryUtil;
import cn.wise.sc.pay.domain.merchant.bean.TransportationHub;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author qh
 * @since 2020-06-09
 */
@Slf4j
@CrossOrigin
@RestController
@RequestMapping("/transportationHub")
public class TransportationHubController extends BaseController<ITransportationHubService, TransportationHub> {
    public TransportationHubController(ITransportationHubService iService) {
        super(iService);
    }


    @Autowired
    ITransportationHubService iTransportationHubService;
    @Autowired
    FastDFSUtils fastDFSUtils;

    @PostMapping("/list")
    @Override
    public BaseResponse list(@RequestBody PageWrapperQuery pageWrapperQuery) {
        QueryWrapper queryWrapper = PageWrapperQueryUtil.getQueryWrapper(pageWrapperQuery);
        try {
            List<TransportationHub> list = iTransportationHubService.list(queryWrapper);

            for (TransportationHub transportationHub : list) {
                transportationHub.setImgUrl(fastDFSUtils.fullUrl(transportationHub.getImgUrl()));
            }
            return BaseResponse.ok(list, iTransportationHubService.getClass());
        } catch (Exception ex) {
            log.error("查询操作失败 ===== " + iTransportationHubService.toString() + ".list()  ======  异常: {}", ex.getMessage());
            return BaseResponse.error("查询失败", iTransportationHubService.getClass());
        }
    }


    @GetMapping("/{id}")
    @Override
    public BaseResponse getById(@PathVariable("id") long id) {
        try {
            TransportationHub model = iTransportationHubService.getById(id);
            model.setImgUrl(fastDFSUtils.fullUrl(model.getImgUrl()));
            return BaseResponse.ok(model);
        } catch (Exception ex) {
            log.error("查询操作失败 ===== " + iTransportationHubService.toString() + ".create()  ======  异常: {}", ex.getMessage());
            return BaseResponse.error("获取详情信息失败", iTransportationHubService.getClass());
        }
    }
}

