package cn.wise.sc.pay.business.merchant.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.MerchDiscount;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2020-09-07 09:41
 **/
public interface IMerchDiscountService extends IService<MerchDiscount> {

    /**
     * 获取折扣配 通过seller
     *
     * @return MerchDiscount
     */
    BaseResponse<List<MerchDiscount>> getBySellerId(Long seller);

    /**
     * 更新商户折扣 商户id
     * @param merchDiscount 商户折扣
     * @return MerchDiscount
     */
    BaseResponse<Boolean> updateMerchDiscount(MerchDiscount merchDiscount);

    /**
     * 给商户新增一个折扣信息配置
     * @param merchDiscount 商户折扣信息
     * @return 是否成功
     */
    BaseResponse<Boolean> addNewMerchDiscount(MerchDiscount merchDiscount);

    /**
     * 根据id删除用户的折扣信息
     * @param id 商户折扣id
     * @return 是否成功
     */
    BaseResponse<Boolean> deleteMerchDiscount(Long id);

    /**
     * 根据商户id删除用户的折扣信息
     * @param seller 商户id
     * @return 是否成功
     */
    BaseResponse<Boolean> deleteMerchDiscountBySeller(Long seller);

}
