package cn.wise.sc.pay.business.merchant.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.Store;
import cn.wise.sc.pay.domain.merchant.query.StoreQuery;
import cn.wise.sc.pay.domain.merchant.vo.StoreVo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 店铺业务接口层
 */
public interface IStoreService extends IService<Store> {

    BaseResponse addStore(StoreQuery storeQuery);

    BaseResponse pageStore(Integer pageNo, Integer pageSize);

    BaseResponse updateStore(StoreQuery storeQuery);

    BaseResponse businessCategory(String categoryIds, String labelIds, Long storeId);

    /**
     * 获取商铺信息及额外信息
     *
     * @param id 商铺id
     * @return
     */
    BaseResponse<StoreVo> getStoreInfo(Long id);
}
