package cn.wise.sc.pay.business.merchant.service.impl;

import cn.wise.sc.pay.business.merchant.mapper.BankPermitMapper;
import cn.wise.sc.pay.business.merchant.service.IBankPermitService;
import cn.wise.sc.pay.domain.merchant.bean.BankPermit;
import cn.wise.sc.pay.domain.merchant.query.BankPermitQuery;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

/**
 * @ClassName BankPermitServiceImpl
 * @Author Administrator
 * @Date 2019/12/18
 * @Version V1.0
 **/
@Service
public class BankPermitServiceImpl extends ServiceImpl<BankPermitMapper, BankPermit> implements IBankPermitService {
    @Override
    public ResponseEntity insertBankPermit(BankPermitQuery bankPermitQuery) {
        BankPermit bankPermit = BankPermit.builder()
                .bankAddress(bankPermitQuery.getBankAddress())
                .bankCount(bankPermitQuery.getBankCount())
                .bankName(bankPermitQuery.getBankName())
                .infoName(bankPermitQuery.getInfoName())
                .licenseImage(bankPermitQuery.getLicenseImage())
                .merchantId(bankPermitQuery.getMerchantId())
                .createTime(System.currentTimeMillis())
                .updateTime(System.currentTimeMillis())
                .build();
        boolean result = this.save(bankPermit);
        return result  ? ResponseEntity.ok("开户行信息保存成功") : ResponseEntity.badRequest().body("信息保存失败");
    }

    @Override
    public ResponseEntity updateBankPermit(BankPermit bankPermit) {
        BankPermit bankPermit1 = this.getById(bankPermit.getId());
        bankPermit.setCreateTime(bankPermit1.getCreateTime());
        bankPermit.setUpdateTime(System.currentTimeMillis());
        boolean result = this.updateById(bankPermit);
        return result  ? ResponseEntity.ok("开户行信息更新成功") : ResponseEntity.badRequest().body("信息更新失败");
    }
}
