package cn.wise.sc.pay.business.merchant.service.impl;

import cn.wise.sc.pay.business.merchant.mapper.BusinessLicenseMapper;
import cn.wise.sc.pay.business.merchant.service.IBusinessLicenseService;
import cn.wise.sc.pay.domain.merchant.bean.BusinessLicense;
import cn.wise.sc.pay.domain.merchant.query.BusinessLicenseQuery;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Service
public class BusinessLicenseServiceImpl extends ServiceImpl<BusinessLicenseMapper, BusinessLicense>
        implements IBusinessLicenseService {

    @Override
    public ResponseEntity insertBusinessLicense(BusinessLicenseQuery licenseQuery) {
        BusinessLicense license = BusinessLicense.builder()
                .merchantId(licenseQuery.getMerchantId())
                .license(licenseQuery.getLicense())
                .licenseEtime(licenseQuery.getLicenseEtime())
                .licenseImage(licenseQuery.getLicenseImage())
                .licenseStime(licenseQuery.getLicenseStime())
                .establishTime(licenseQuery.getEstablishTime())
                .detailAddress(licenseQuery.getDetailAddress())
                .identifyCard(licenseQuery.getIdentifyCard())
                .legelPerson(licenseQuery.getLegelPerson())
                .ownership(licenseQuery.getOwnership())
                .proveImage(licenseQuery.getProveImage())
                .scope(licenseQuery.getScope())
                .createTime(System.currentTimeMillis())
                .updateTime(System.currentTimeMillis())
                .build();
        boolean result = this.save(license);
        return result ? ResponseEntity.ok("营业信息保存成功") : ResponseEntity.badRequest().body("信息保存失败");
    }

    @Override
    public ResponseEntity updateLicense(BusinessLicense license) {
        BusinessLicense businessLicense = this.getById(license.getId());
        license.setCreateTime(businessLicense.getCreateTime());
        license.setUpdateTime(System.currentTimeMillis());
        boolean result = this.updateById(license);
        return result ? ResponseEntity.ok("营业信息更新成功") : ResponseEntity.badRequest().body("信息更新失败");
    }
}
