package cn.wise.sc.pay.business.merchant.service.impl;

import cn.wise.sc.pay.business.merchant.mapper.LabelMapper;
import cn.wise.sc.pay.business.merchant.service.ILabelService;
import cn.wise.sc.pay.business.merchant.service.IMerchLabelService;
import cn.wise.sc.pay.domain.merchant.bean.Label;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @ClassName BankPermitServiceImpl
 * @Author Administrator
 * @Date 2019/12/18
 * @Version V1.0
 **/
@Service
public class LabelServiceImpl extends ServiceImpl<LabelMapper, Label> implements ILabelService {

    @Autowired
    IMerchLabelService merchLabelService;

    @Override
    public ResponseEntity insertLabel(String name) {
        Label label = Label.builder()
                .name(name)
                .createTime(System.currentTimeMillis())
                .updateTime(System.currentTimeMillis())
                .build();
        boolean result = this.save(label);
        return result ? ResponseEntity.ok("添加标签成功") : ResponseEntity.badRequest().body("添加标签失败");
    }

    @Override
    public ResponseEntity updateLabel(Label label) {
        boolean result = this.updateById(label);
        return  result ? ResponseEntity.ok("修改标签成功") : ResponseEntity.badRequest().body("修改标签失败");
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public ResponseEntity deleteById(Long id) {
        boolean result = this.removeById(id);
        if(result){
            UpdateWrapper wrapper = new UpdateWrapper();
            wrapper.eq("label_id",id);
            merchLabelService.remove(wrapper);
        }
        return result ? ResponseEntity.ok("删除标签成功") : ResponseEntity.badRequest().body("删除标签失败");
    }
}
