package cn.wise.sc.pay.business.merchant.utils;

import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @ClassName AosMerchantUtil
 * @Author Administrator
 * @Date 2019/12/18
 * @Version V1.0
 **/
@Slf4j
public class AosMerchantUtil {

    public synchronized static String aosMerchAppid(){
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyyMMddHHmmss");
        String timeStr = simpleDateFormat.format(new Date());
        String appid = "AOS" + timeStr;
        return appid;
    }

    public static String secretEncryption(String merchSecret) {

        MessageDigest messageDigest = null;
        try {
            messageDigest = MessageDigest.getInstance("MD5");
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
            log.error("签名算法不存在");
        }
        if(StringUtils.isNotBlank(merchSecret)){
            messageDigest.update(merchSecret.getBytes());
            byte[] encryptData = messageDigest.digest();
            String encryptDataStr = bytesToHex(encryptData);
            return encryptDataStr.toLowerCase();
        }else {
            messageDigest.update("123456".getBytes());
            byte[] encryptData = messageDigest.digest();
            String encryptDataStr = bytesToHex(encryptData);
            return encryptDataStr.toLowerCase();
        }
    }

    static char[] hexDigits = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'};

    public static String bytesToHex(byte[] bytes) {
        int k = 0;
        char[] hexChars = new char[bytes.length * 2];
        for (int i = 0; i < bytes.length; i++) {
            byte byte0 = bytes[i];
            hexChars[k++] = hexDigits[byte0 >>> 4 & 0xf];
            hexChars[k++] = hexDigits[byte0 & 0xf];
        }
        return new String(hexChars);
    }

}
