package cn.wise.sc.pay.domain.merchant.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @ClassName Merchant
 * @Description :商户营业执照信息
 * @Author lqk
 * @Date 2019/12/17
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusinessLicense extends Model<BusinessLicense> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 商户id
     */
    private Long merchantId;
    /**
     * 法人名称
     */
    private String legelPerson;
    /**
     * 法人身份证
     */
    private String identifyCard;
    /**
     * 营业执照
     */
    private String license;
    /**
     * 经验范围
     */
    private String scope;

    /**
     * 营业执照归属地
     */
    private String ownership;

    /**
     * 归属地详细地址
     */
    private String detailAddress;
    /**
     * 成立时间
     */
    private String establishTime;

    /**
     * 营业执照有效期开始时间
     */
    private Long licenseStime;

    /**
     * 营业执照有效期结束时间
     */
    private Long licenseEtime;
    /**
     * 法人身份证照片
     */
    private String proveImage;
    /**
     * 营业执照照片
     */
    private String licenseImage;

    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
