package cn.wise.sc.pay.domain.merchant.query;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @ClassName Merchant
 * @Description :商家或者店铺
 * @Author lqk
 * @Date 2019/12/17
 * @Version V1.0
 **/
@Data
@Builder
@ApiModel
@NoArgsConstructor
@AllArgsConstructor
public class MerchantQuery extends Model<MerchantQuery> {

    private static final long serialVersionUID = 1L;

    /**
     * 商户登录密码
     */
    private String merchSecret;
    /**
     * 商户名称
     */
    @NotBlank
    private String merchName;
    /**
     * 商户地址
     */
    @NotBlank
    private String merchAddress;
    /**
     * 商户描述备注
     */
    private String describe;
    /**
     * 商户电话
     */
    private String merchPhone;
    /**
     * 雇员数
     */
    private Integer staffNum;

    /**
     * 注册资金
     */
    @NotBlank
    private Long registerMoney;

    /**
     * 联系人
     */
    private String linkPerson;
    /**
     * 联系电话
     */
    private String linkPhone;

    /**
     * 联系邮箱
     */
    private String linkEmail;

    /**
     * 0自营 1非自营
     */
    private byte attached;

    /**
     * 商户利润占比
     */
    private Integer merchRate;
    /**
     * 奥索利润占比
     */
    private Integer aosRate;

    /**
     * 成立时间
     */
    private Long establishTime;

    /**
     * 白名单状态，1表示白名单，0表示非白名单
     */
    private Integer whiteList;

    /**
     * 星级
     */
    private Double star;

    /**
     * 平均消费额度
     */
    private BigDecimal avgExpenditure;

    /**
     * 封面地址
     */
    private String img;

    /**
     * 标签  用/隔开
     */
    @ApiModelProperty("标签  用/隔开")
    private String label;

    /**
     * 距离
     */
    @ApiModelProperty("距离")
    private String distance;

    /**
     * 类型
     */
    @ApiModelProperty("类型")
    private String type;

    /**
     * 营业时间
     */
    @ApiModelProperty("营业时间")
    private String openTime;

    /**
     * 详情展示的封面图片  多张 用/隔开
     */
    @ApiModelProperty("详情展示的封面图片  多张 用/隔开")
    private String detailImgs;

    /**
     * 授权码
     */
    @ApiModelProperty("授权码")
    private String sensitivePwd;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
