package cn.wise.sc.pay.domain.merchant.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StoreQuery implements Serializable {

    private Long id;
    /*
     * 商户id
     */
    private Long merchId;
    /*
     * 店铺名字
     */
    private String name;
    /*
     * 店铺地址
     */
    private String address;
    /*
     * 店铺所在地
     */
    private String area;
    /*
     * 佣金比例
     */
    private Double commissionRate;
    /* *
     * 经度
     */
    private Double longitude;
    /* *
     * 纬度
     */
    private Double latitude;
    /* *
     * 店铺创建时间
     */
    private Long createTime;

    /**
     * 店铺状态  0 营业中， 1 已关闭
     */
    private Integer manageStatus;

    /**
     * 关店原因
     */
    private String closeReason;

    /**
     * 描述
     */
    private String describe;
}
