package cn.wise.sc.pay.api.order.service;

import cn.wise.sc.pay.api.order.service.impl.ZHPayMerServiceImplHystrix;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.order.model.MerchantPayPro;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @description:
 * @author: qh
 * @create: 2020-09-24 12:42
 **/
@FeignClient(value = "saas-v1-order", path = "/pay/setting", fallback = ZHPayMerServiceImplHystrix.class)
public interface IZHPayMerService {

    @PostMapping("/create")
    BaseResponse<Boolean> create(@RequestBody MerchantPayPro merchantPayPro);

    @DeleteMapping("/{id}")
    BaseResponse<Boolean> delete(@PathVariable("id") Long id);

    @GetMapping("/{sellerId}")
    BaseResponse<MerchantPayPro> getBySeller(@PathVariable("sellerId") Long sellerId);
}
