package cn.wise.sc.pay.api.order.service.impl;

import cn.wise.sc.pay.api.order.service.ISafeguardService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import cn.wise.sc.pay.domain.order.model.Safeguard;
import cn.wise.sc.pay.domain.order.query.SafeguardDetailQuery;
import org.springframework.stereotype.Component;

/**
 * @description: 退款服务  熔断器
 * @author: qh
 * @create: 2020-03-31 14:58
 **/
@Component
public class SafeguardServiceHystrixImpl implements ISafeguardService {

    @Override
    public BaseResponse create(SafeguardDetailQuery safeguardDetailQuery) {
        return BaseResponse.hystrixError("qin");
    }

    @Override
    public BaseResponse audit(String refundNo, int status, String reason) {
        return BaseResponse.hystrixError("qin");
    }

    @Override
    public BaseResponse refundDetails(String refundNo) {
        return BaseResponse.hystrixError("qin");
    }

    @Override
    public BaseResponse<String> edit(SafeguardDetailQuery safeguardDetailQuery) {
        return BaseResponse.hystrixError("qin");
    }

    @Override
    public BaseResponse page(PageWrapperQuery pageWrapperQuery) {
        return BaseResponse.hystrixError("qin");
    }

    @Override
    public BaseResponse<Safeguard> connectLogisticsNo(String refundNo, String LogisticsNo) {

        return BaseResponse.error("退款失败",Safeguard.class.getName());
    }
}
