package cn.wise.sc.pay.business.order.controller;

import cn.wise.sc.pay.business.comment.bean.Reply;
import cn.wise.sc.pay.business.comment.controller.CommonReplyController;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 订单-评论回复控制器
 */
@RestController
@RequestMapping("/order/comment/reply")
public class OrderCommentReplyController extends CommonReplyController {

    @Override
    @PostMapping("/addReply")
    @ApiOperation("评论回复")
    @ApiImplicitParam(name = "reply", value = "评论回复实体", paramType = "body", dataType = "Reply")
    public BaseResponse inserReply(@RequestBody Reply reply) {
        return super.inserReply(reply);
    }

    @DeleteMapping("/deleteById/{id}")
    @ApiOperation("删除评论回复")
    @ApiImplicitParam(name = "id", value = "回复id", paramType = "path", dataType = "Long")
    @Override
    public BaseResponse deleteById(@PathVariable Long id) {
        return super.deleteById(id);
    }

    @DeleteMapping("/deleteByCommentIds")
    @ApiOperation("删除评论回复根据评论id列表")
    @ApiImplicitParam(name = "commentIdStr", value = "评论id 列表", paramType = "body", dataType = "List")
    @Override
    public BaseResponse deleteByCommentIds(@RequestBody String commentIdStr) {
        return super.deleteByCommentIds(commentIdStr);
    }

    @PutMapping("/updatePariseNum/{id}")
    @ApiOperation("点赞数+1")
    @ApiImplicitParam(name = "id", value = "回复id", paramType = "path", dataType = "Long")
    @Override
    public BaseResponse updatePraiseNum(@PathVariable Long id) {
        return super.updatePraiseNum(id);
    }
}
