package cn.wise.sc.pay.business.order.model.zh;

import cn.wise.sc.payment.core.model.BaseModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 支付结果查询请求对象
 * @author: qh
 * @create: 2019-12-18 09:37
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PayResultQuery extends BaseModel {

    /**
     * 版本
     */
    String version = "0.0.1";
    /**
     * 编码
     */
    String encoding = "UTF-8";
    /**
     * 签名
     */
    String sign;
    /**
     * 签名方法  01：RSA2
     */
    String signMethod;
    /**
     * 商户号
     */
    String merId;
    /**
     * 商户订单号
     */
    String orderId;
    /**
     * 平台订单号
     */
    String cmbOrderId;
    /**
     * 收营员
     */
    String userId;
}
