package cn.wise.sc.pay.business.order.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import cn.wise.sc.pay.domain.order.model.Bills;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * 账单实体 服务类
 * </p>
 *
 * @author qh
 * @since 2019-12-24
 */
public interface IBillsService extends IService<Bills> {

    /**
     * 导入招行对账单 (从招行给的下载地址)
     *
     * @param fileUrl 对账单下载地址
     * @return
     */

     BaseResponse readExcelAndInsert(String fileUrl);

    /**
     * 根据条件查询 账单集合
     *
     * @param queryWrapper
     * @return
     */
    BaseResponse getBills(PageWrapperQuery queryWrapper);

    /**
     * 更具条件获取 分页
     *
     * @param queryWrapper
     * @return
     */
    BaseResponse getBillsPage(PageWrapperQuery queryWrapper);


    BaseResponse readExcelAndInsert(MultipartFile file);
}
