package cn.wise.sc.pay.business.order.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.order.model.OrderCallException;
import cn.wise.sc.pay.domain.order.model.OrderCallExceptionStatus;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @description: 第三方支付调用异常处理服务类
 * @author: qh
 * @create: 2020-01-13 15:19
 **/
public interface IOrderCallExceptionService extends IService<OrderCallException> {

    /**
     * 构建一条  异常调用消息记录
     *
     * @param orderNo 回调异常的订单号  必填
     * @return
     */
    BaseResponse createExceptionInfo(String orderNo);

    /**
     * 获取回调异常的所有记录,status为未结束的
     *
     * @param exceptionStatus 异常的订单类型
     * @return
     */
    BaseResponse getList(OrderCallExceptionStatus exceptionStatus);

    /**
     * 批量修改
     *
     * @param list 招行调用异常对象集合
     * @return
     */
    BaseResponse editBatchById(List<OrderCallException> list);

  /**
   * 批量添加异常订单
   * @param orderCallExceptions 异常订单集合
   * @return
   */
  BaseResponse createExceptionInfoBatch(List<OrderCallException> orderCallExceptions);
}
