package cn.wise.sc.pay.business.order.service.impl;

import cn.wise.sc.pay.business.order.mapper.XpenseTrackerMapper;
import cn.wise.sc.pay.business.order.service.IXpenseTrackerService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.order.model.Orders;
import cn.wise.sc.pay.domain.order.model.XpenseTracker;
import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author qh
 * @since 2020-02-10
 */
@Service
@Slf4j
public class XpenseTrackerServiceImpl extends ServiceImpl<XpenseTrackerMapper, XpenseTracker> implements IXpenseTrackerService {

    @Override
    public BaseResponse create(XpenseTracker xpenseTracker) {

        try {
            this.save(xpenseTracker);
            return BaseResponse.okMsg("添加成功", XpenseTracker.class);
        } catch (Exception ex) {
            log.error("添加消费记录失败  =====  XpenseTrackerServiceImpl.create()  =====  异常:{}", ex.getMessage());
            return BaseResponse.error("添加消费记录失败", XpenseTracker.class);
        }
    }

    @Override
    public BaseResponse createBatch(List<XpenseTracker> xpenseTracker) {
        try {
            this.saveBatch(xpenseTracker);
            return BaseResponse.okMsg("添加", XpenseTracker.class);
        } catch (Exception ex) {
            log.error("批量添加消费记录失败  =====  XpenseTrackerServiceImpl.createBatch()  =====  异常:{}", ex.getMessage());
            return BaseResponse.error("添加消费记录失败", XpenseTracker.class);
        }
    }
}
