package cn.wise.sc.pay.business.order.service.strategy;

import cn.wise.sc.pay.business.order.service.IOrdersService;

/**
 * @description: 订单统计策略工具类
 * @author: qh
 * @create: 2020-01-03 14:53
 **/
public class OrderStatisticsStrategyUtil {

    /**
     * 获取策略
     *
     * @param strategy 策略选择  1:每月  2:每季度  3:每年  4:自定义  其他:每天
     * @param iOrdersService 订单业务类
     * @return
     */
    public static IOrderStatisticsStrategy getStrategy(int strategy, IOrdersService iOrdersService) {

        IOrderStatisticsStrategy iOrderStatisticsStrategy;

        switch (strategy) {
            case 1:
                iOrderStatisticsStrategy = new OrderStatisticsStrategyMonth(iOrdersService);
                break;
            case 2:
                iOrderStatisticsStrategy = new OrderStatisticsStrategyQuarter(iOrdersService);
                break;
            case 3:
                iOrderStatisticsStrategy = new OrderStatisticsStrategyYear(iOrdersService);
                break;
            case 4:
                iOrderStatisticsStrategy = new OrderStatisticsStrategyCustom(iOrdersService);
                break;
            default:
                iOrderStatisticsStrategy = new OrderStatisticsStrategyDay(iOrdersService);
                break;
        }

        return iOrderStatisticsStrategy;
    }
}
