package cn.wise.sc.pay.business.order.weichat.method;

import org.apache.http.conn.ssl.SSLConnectionSocketFactory;
import org.apache.http.ssl.SSLContextBuilder;

import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.SSLContext;
import java.security.KeyManagementException;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;

public class MySSLSocketFactory extends SSLConnectionSocketFactory {

	private static MySSLSocketFactory mySSLSocketFactory = null;

	static {
		mySSLSocketFactory = new MySSLSocketFactory(createIgnoreVerifySSL());
	}

	private MySSLSocketFactory(SSLContext sslContext) {
		super(sslContext);
	}

	private MySSLSocketFactory(SSLContext sslContext, HostnameVerifier hostnameVerifier) {
		super(sslContext, hostnameVerifier);
	}

	/**
	 * 创建不校验证书链的SSLContext
	 */
	private static SSLContext createIgnoreVerifySSL() {
		SSLContext sslContext = null;
		try {
			sslContext = new SSLContextBuilder().loadTrustMaterial(null, new X509TrustStrategy()).build();
			//sslContext = SSLContext.getInstance("SSL");
			//sslContext.init(null, new TrustManager[] { new MyX509TrustManager() }, new SecureRandom());
		} catch (KeyManagementException | NoSuchAlgorithmException | KeyStoreException e) {
			e.printStackTrace();
			return null;
		}
		return sslContext;
	}

	public static MySSLSocketFactory getInstance() {
		if (mySSLSocketFactory != null) {
			return mySSLSocketFactory;
		} else {
			return mySSLSocketFactory = new MySSLSocketFactory(createIgnoreVerifySSL(), NoopHostnameVerifier.INSTANCE);
		}
	}

}