package cn.wise.sc.pay.domain.order.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 账单实体
 * </p>
 *
 * @author qh
 * @since 2020-02-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Bills extends Model<Bills> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 交易日期(年月日)
     */
    private Long transactionDate;

    /**
     * 交易时间(时分秒)
     */
    private Long transactionTime;

    /**
     * 设备号
     */
    private String deviceInfo;

    /**
     * 银行流水号儿
     */
    private String serialNumber;

    /**
     * 第三方订单号
     */
    private String orderNo;

    /**
     * 交易类型
     */
    private String tradeType;

    /**
     * 支付类型
     */
    private String payType;

    /**
     * 交易金额
     */
    private String amount;

    /**
     * 门店号
     */
    private String shipNo;

    /**
     * 收银员
     */
    private String cashierNo;

    /**
     * 交易状态
     */
    private String tradeStatus;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
