package cn.wise.sc.pay.domain.order.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 维权订单  退款订单
 * </p>
 *
 * @author qh
 * @since 2020-02-10
 */
@Data
@AllArgsConstructor
@Builder
@NoArgsConstructor
public class Safeguard extends Model<Safeguard> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;


    /**
     * 用户id
     */
    private Long userId;
    /**
     * 原订单号
     */
    private String orderNo;

    /**
     * 退款订单号
     */
    private String refundNo;

    /**
     * 商铺id
     */
    private Long shopId;

    /**
     * 退款类型 0.仅钱 1.钱货
     */
    private Integer refundType;

    /**
     * 退款进度状态
     */
    private String status;

    /**
     * 退款原因
     */
    private String reason;

    /**
     * 原支付方式
     */
    private String paymentMethodName;

    /**
     * 退款金额
     */
    private Double amount;

    /**
     * 平台
     */
    private String paas;

    /**
     * 凭据图片地址  用","隔开
     */
    private String evidenceUrl;

    private String goods;

    private Long createTime;

    /**
     * 原始订单号
     */
    private String originalOrder;

    private Long updateTime;
    /**
     * 备注
     */
    private String remake;


    /**
     * 物流号
     */
    private String logisticsNo;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
