package cn.wise.sc.payment.cmb.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 主动查询退款  参数
 *
 * @description:
 * @author: qh
 * @create: 2019-12-18 16:04
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PayRefundQueryParams extends BaseQuery {

    /**
     * 版本号
     */
    private String version;
    /**
     * 编码方式
     */
    private String encoding;
    /**
     * 签名
     */
    private String sign;
    /**
     * 签名方法 01：RSA2
     */
    private String signMethod;
    /**
     * 商户号 商户在招行完成商户进件后分配的招行商户号
     */
    private String merId;
    /**
     * 商户端生成退款订单号，要求此订单号整个商户下唯一
     */
    private String orderId;

    /**
     *
     */
    private String userId;

    private String cmbOrderId;
}
