package cn.wise.sc.pay.api.points.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.point.bean.PointPhoto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

/**
 * @description: 拍照积分
 * @author: qh
 * @create: 2020-08-03 13:54
 **/
@FeignClient(value = "saas-v1-points", path = "/pointPhoto", fallback = PointPhotoServiceImpl.class)
public interface IPointPhotoService {

    @GetMapping("/setting")
    BaseResponse<Boolean> getAutoAuditSetting();

    @PutMapping("/setting")
    BaseResponse<Boolean> editAutoAuditSetting();

    @PostMapping
    BaseResponse create(@RequestBody @Valid PointPhoto model);

    @PutMapping("/{id}/{status}")
    BaseResponse<Boolean> audit(@NotNull(message = "id不能为空!") @PathVariable("id") Long id,
                                @NotNull(message = "状态不能为空!") @PathVariable("status") Integer status);

    @GetMapping("/page")
    BaseResponse page(@NotNull(message = "分页参数不能为空!") @SpringQueryMap PageQuery pageQuery,
                                         @RequestParam("status") Integer status);
}
