package cn.wise.sc.pay.business.points.controller;

import cn.wise.sc.pay.business.points.service.IMemberInterestsService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.point.bean.MemberInterestsQuery;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * @description: 会员权益控制器
 * @author: qh
 * @create: 2020-01-08 09:30
 **/
@CrossOrigin
@RestController
@Api(description = "会员权益")
@RequestMapping("/member/Interests")
public class MemberInterestsController {

    @Autowired
    IMemberInterestsService iMSService;

    @PostMapping
    @ApiImplicitParams(
            {
                    @ApiImplicitParam(name = "MSQuery", value = "参数对象", dataType = "MemberInterestsQuery", paramType = "body")
            }
    )
    public BaseResponse addNewInterests(@Valid @RequestBody MemberInterestsQuery MSQuery) {
        return iMSService.addNewInterests(MSQuery);
    }

    @PutMapping
    public BaseResponse editInterests(@RequestBody MemberInterestsQuery interestsQuery) {
        return iMSService.editInterests(interestsQuery);
    }

    @DeleteMapping("/{id}")
    public BaseResponse delInterests(@PathVariable("id") Long id) {
        return iMSService.delInterests(id);
    }

    @PostMapping("/page")
    public BaseResponse getPage(@RequestBody PageQuery pageQuery) {
        return iMSService.getPage(pageQuery);
    }
}
