package cn.wise.sc.pay.business.points.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.point.bean.Coupons;
import cn.wise.sc.pay.domain.point.query.CouponsQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 优惠券实体业务接口
 */
public interface ICouponsService extends IService<Coupons> {
    /**
     * 添加一条优惠券记录
     *
     * @param couponsQuery
     * @return
     */
    BaseResponse add(CouponsQuery couponsQuery);

    /**
     * @param name
     * @param pageQuery
     * @param typeId
     * @return
     */
    BaseResponse pageOnCondition(String name, PageQuery pageQuery, Integer typeId);

    /**
     * 查询优惠券列表
     *
     * @return
     */
    BaseResponse listCoupons();

    /**
     * 查询可用优惠券列表
     *
     * @return
     */
    BaseResponse listAvailable();

    /**
     * 根据id批量删除
     *
     * @param ids
     * @return
     */
    BaseResponse discard(List<Integer> ids);

    /**
     * 修改数据信息，传入数据时请传入id值
     *
     * @param couponsQuery
     * @return
     */
    BaseResponse edit(CouponsQuery couponsQuery);

    /**
     * 根据id值查询记录
     *
     * @param id
     * @return
     */
    BaseResponse infoById(Long id);

    /**
     * 根据id启用记录
     *
     * @param id
     * @return
     */
    BaseResponse enableById(Long id);

    /**
     * 根据id禁用记录
     *
     * @param id
     * @return
     */
    BaseResponse disableById(Long id);

}
