package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 优惠券类型实体表
 * @author jiawei
 */
@TableName(value = "coupons_type")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class CouponType extends Model<CouponType> {

    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 优惠券类型名字
     */
    private String name;
    /**
     * 优惠券背景图片
     */
    private String image;
    /**
     * 状态，0启用，1禁用
     */
    private Integer status;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 修改时间
     */
    private Long updateTime;

    /**
     * 逻辑删除标记
     */
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
