package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PointSource extends Model<PointSource> {

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 途径
     */
    private String pathWay;

    /**
     * 描述
     */
    private String description;

    /**
     * 设置类型  0 统一设置，1会员等级设置
     */
    private Integer setType;

    /**
     * 积分值
     */
    private Double score;

//    /**
//     * 会员等级id
//     */
//    private Long memberLevelId;

    /**
     * 赠送还是消费  0 赠送，1消费
     */
    private Integer typeFlag;

    /**
     * 0是启用，1是禁用
     */
    private Integer status;

    /**
     * 0是正常，1是已删除
     */
    @TableLogic(value = "0",delval = "1")
    private Integer delFlag;

    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 更新时间
     */
    private Long updateTime;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
