package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 虚拟商品实体表
 */
@TableName(value = "virtual_goos")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class VirtualGoods extends Model<VirtualGoods> {

    /**
     *
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 优惠券id
     */
    private Integer couponId;
    /**
     * 发行数量
     */
    private Integer issueNum;
    /**
     * 没人限额
     */
    private Integer personMax;
    /**
     * 换取模式，0抽奖，1 换取
     */
    private Integer model;
//    /**
//     * 抽奖所需积分
//     */
//    private Integer drawPoint;
//    /**
//     * 换取所需积分
//     */
//    private Integer exchangePoint;

    /**
     * 换取所需积分
     */
    private Integer point;
    /**
     * 商家模式，0 全场商家，1 指定商家
     */
    private Integer merchantModel;
    /**
     * 有效期
     */
    private Long validityTime;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 修改时间
     */
    private Long updateTime;
    /**
     * 状态，0是启用，1是禁用
     */
    private Integer status;
    /**
     * 指定商家模式的商家id
     */
    private Long merchantId;
    /**
     * 参与人数数量
     */
    private Integer personNum;
    /**
     * 商品剩余数量
     */
    private Integer remainNum;
    /**
     * 有效期结束时间
     */
    private Long endValidityTime;

    /**
     * 逻辑删除标记
     */
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
