package cn.wise.sc.pay.domain.point.query;

import cn.hutool.core.bean.BeanUtil;
import cn.wise.sc.pay.domain.point.bean.CouponType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel
public class CouponTypeQuery implements Serializable {
    @ApiModelProperty(value = "主键id")
    private Integer id;
    /**
     * 优惠券类型名字
     */
    @ApiModelProperty(value = "优惠券类型名字")
    @NotBlank(message = "优惠券类型名字不能为空")
    private String name;
    /**
     * 优惠券类型背景图片
     */
    @ApiModelProperty(value = "优惠券类型背景图片")
    @NotBlank(message = "优惠券类型背景图片不能为空")
    private String image;

    /**
     * 状态，0启用，1禁用
     */
    @ApiModelProperty(value = "状态值 0启用，1禁用")
    private Integer status;

    public static CouponType query2Entity(CouponTypeQuery couponTypeQuery) {
        CouponType couponType = new CouponType();
        BeanUtil.copyProperties(couponTypeQuery, couponType);
        return couponType;
    }

}
