package cn.wise.sc.pay.domain.point.query;

import cn.hutool.core.bean.BeanUtil;
import cn.wise.sc.pay.domain.point.bean.GiftGoods;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel
@Data
public class GiftGoodsQuery implements Serializable {

    private static final long serialVersionUID = 8163533007225155432L;
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")

    private Long id;
    /**
     * 商品名称
     */
    @ApiModelProperty(value = "商品名称")
    @NotBlank(message = "商品名称不能为空")
    private String name;
    /**
     * 商品图片地址
     */
//    @NotBlank(message = "商品图片不能为空")
    @ApiModelProperty(value = "商品图片地址")
    private String image;
    /**
     * 商品数量
     */
    @NotNull(message = "商品数量不能为空")
    @ApiModelProperty(value = "商品数量")
    private Integer amount;
    /**
     * 每人限领数量
     */
    @ApiModelProperty(value = "每人限领数量")
    @NotNull(message = "每人限领数量不能为空")
    private Integer personMax;
    /**
     * 换取模式
     */
    @ApiModelProperty(value = "换取模式")
    @NotNull(message = "换取模式不能为空")
    private Integer model;

//    /**
//     * 抽奖所需积分
//     */
//    @ApiModelProperty(value = "抽奖所需积分")
//    @NotNull(message = "抽奖所需积分不能为空")
//    private Integer drawPoint;
//    /**
//     * 换取所需积分
//     */
//    @ApiModelProperty(value = "换取所需积分")
//    @NotNull(message = "换取所需积分不能为空")
//    private Integer exchangePoint;

    @ApiModelProperty(value = "换取所需积分")
    @NotNull(message = "换取所需积分不能为空")
    private Integer point;

    public static GiftGoods query2Entity(GiftGoodsQuery giftGoodsQuery) {
        GiftGoods giftGoods = new GiftGoods();
        BeanUtil.copyProperties(giftGoodsQuery, giftGoods);
        return giftGoods;
    }

}
