package cn.wise.sc.pay.domain.point.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author jiawei
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel
public class GoodRecordAddressQuery implements Serializable {
    private static final long serialVersionUID = -6857122872850071425L;
    /**
     * 收货人电话
     */
    @ApiModelProperty("收货人电话")
    @NotBlank(message = "收货人电话不能为空")
    String personPhone;
    /**
     * 收货人姓名
     */
    @ApiModelProperty("收货人姓名")
    @NotBlank(message = "收货人姓名不能为空")
    String personName;
    /**
     * 收货地址
     */
    @ApiModelProperty("收货地址")
    @NotBlank(message = "收货地址不能为空")
    String address;
    /**
     * 需要添加信息的商品记录id
     */
    @ApiModelProperty("需要添加信息的商品记录id")
    @NotNull(message = "商品记录id不能为空")
    private Long id;
}
