package cn.wise.sc.pay.domain.point.vo;

import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GoodRecordVo implements Serializable {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 商品记录所属类别，1 虚拟商品，0 实物商品
     */
    private Integer type;
    /**
     * 优惠券类型id
     */
    private Integer typeId;
    /**
     * 商品id
     */
    private Long goodsId;
    /**
     * 优惠券id
     */
    private Long couponId;
    /**
     * 本条记录状的态
     */
    private Integer status;
    /**
     * 兑换人id
     */
    private Long userId;
    /**
     * 兑换人
     */
    private String userName;
    /**
     * 交易时间
     */
    private Long tradeTime;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 修改时间
     */
    private Long updateTime;
    /**
     * 有效期时间
     */
    private Long validityTime;
    /**
     * 收货人
     */
    private String personName;
    /**
     * 收货人地址
     */

    private String address;

    /**
     * 物流公司
     */
    private String company;
    /**
     * 物流编号
     */
    private String deliveryNo;
    /**
     * 发货时间
     */
    private Long deliveryTime;
    /**
     * 优惠券名称
     */
    private String name;
    /**
     * 优惠券类型名称
     */
    private String couponType;
    /**
     * 优惠券面额
     */
    private Double cost;
    /**
     * 使用阈值
     */
    private Double ableValue;
    /**
     * 商品图片
     */
    private String image;

    /**
     * 换取模式
     */
    private Integer model;

    /**
     * 换取积分
     */
    private Integer point;
    /**
     * 收货人电话
     */
    private String personPhone;

    /**
     * 逻辑删除标记
     */
    @TableLogic(value = "0", delval = "1")
    private Integer delFlag;

}
