package cn.wise.sc.pay.domain.point.vo;

import cn.wise.sc.pay.domain.point.bean.Membership;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 会员等级vo
 * @author: qh
 * @create: 2019-11-11 14:05
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MembershipVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;
    /**
     * 经验
     */
    private Double experience;

    /**
     * 经验下限
     */
    private Double upExperience;
    /**
     * 折扣
     */
    private Double discount;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 是否已删除 1:是 0:否
     */
    private Integer delFlag;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;
    /**
     * 名
     */
    private String name;
    /**
     * 背景图
     */
    private String backPhoto;

    public MembershipVO(Membership membership) {
        this.createTime = membership.getCreateTime();
        this.delFlag = membership.getDelFlag();
        this.discount = membership.getDiscount();
        this.id = membership.getId();
        this.name = membership.getName();
        this.status = membership.getStatus();
        this.experience = membership.getDownExperience();
        this.backPhoto = membership.getBackPhoto();
    }
}
