package cn.wise.sc.pay.domain.point.vo;

import cn.wise.sc.pay.domain.point.query.CumulativeScoreQuery;
import cn.wise.sc.pay.domain.point.query.MemberScoreQuery;
import cn.wise.sc.pay.domain.point.query.WordComment;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PointSourceV1Vo {
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id", notes = "新增记录是不传id")
    private Integer id;
    /**
     * 途径  0:发布文章,  1:线上消费,  2:签到奖励,  3:优质点评
     */
    @ApiModelProperty(value = "途径")
    private String way;

    @ApiModelProperty(value = "途径标识")
    private Integer wayFlag;
    /**
     * 设置类型,0统一设置，1按会员等级设置，2不累计设置，3按天累计设置，4点评设置
     */
    @ApiModelProperty(value = "设置类型,0统一设置，1按会员等级设置，2不累计设置，3按天累计设置，4点评设置")
    private Integer setType;
    /**
     * 统一设置积分值
     */
    @ApiModelProperty(value = "统一设置积分值")
    private Integer unionScore;
    /**
     * 会员积分值
     */
    @ApiModelProperty(value = "会员积分值", notes = "map类型，key为会员等级，value为设置的积分值")
    private List<MemberScoreQuery> memberScores;

    /**
     * 会员积分值
     */
    @ApiModelProperty(value = "会员积分值", notes = "map类型，key为会员等级，value为设置的积分值")
    private List<MemberScoreVo> StringMemberScores;

    /**
     * 是否禁用 0 未禁用，1 禁用
     */
    @ApiModelProperty(value = "是否禁用 0 未禁用，1 禁用")
    private Integer status;

    /**
     * 按天累计积分值
     */
    @ApiModelProperty(value = "按天累计积分值", notes = "map类型，key取值分别为：基础积分、每天累计、清0天数")
    private List<CumulativeScoreQuery> cumulativeScores;

    /**
     * 按天累计积分值
     */
    @ApiModelProperty(value = "按天累计积分值", notes = "map类型，key取值分别为：基础积分、每天累计、清0天数")
    private List<CumulativeScoreVo> stringCumulativeScores;
    /**
     * 优质点评积分值
     */
    @ApiModelProperty(value = "优质点评积分值")
    private WordComment wordComment;
    /**
     * 不累计设置积分值
     */
    @ApiModelProperty(value = "不累计设置积分值")
    private Integer nonCumulativeScore;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Long updateTime;

}
