package cn.wise.sc.pay.domain.point.vo;

import cn.wise.sc.pay.domain.point.bean.PointType;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description:
 * @author: qh
 * @create: 2019-11-13 15:51
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PointTypeVO implements Serializable {

    private static final long serialVersionUID = 2329103026617601314L;
    private Long id;

    private String pathWay;

    private String score;

    private String status;

    public PointTypeVO(PointType pointType) {

        this.id = pointType.getId();
        this.pathWay = pointType.getPathway();
    }

    /**
     * 拼接每个会员等级的积分获取点数
     * @param membershipName
     * @param newScore
     * @return
     */
    public PointTypeVO changeScore(String membershipName, double newScore) {

        this.score = this.score + "\\" + membershipName + " " + newScore;

        //如果以"\"打头  去掉第一个"\"
        if (StringUtils.isNotEmpty(this.score) && this.score.startsWith("\\")) {
            this.score = this.score.substring(1);
        }
        return this;
    }
}
